package com.unis.inspectionresult.common.constant;

/**
 * 业务检查
 */
public enum DailyCheckStatusConstant {
	//张琪整改通知单报表使用
	BE_REFORMYXF("1","下发",""),
	BE_REFORMBXF("0","不下发",""),
	//季度
	FIRSTSEASON("1","第一季度",""),
	SENCONDSEASON("2","第二季度",""),
	THIRDSEASON("3","第三季度",""),
	FOURSEASON("4","第四季度",""),

    TO_BE_CHECK("0","待检查",""),
    /** 检查单位待盖章*/
    CHECK_TO_BE_SEAL("1","检查单位待盖章",""),
    TO_BE_SUBMIT("2","待提交",""),
    /** "3","待整改" */
    TO_BE_REFORM("3","待整改",""),
    TO_BE_REVIEW("4","待审批",""),
    REVIEWED("5","审批通过",""),
    OVERDUE_REFUSE("6","延期拒绝",""),
    /** 7 被检企业待盖章*/
    COMPANY_TO_BE_SEAL("7","被检企业待盖章",""),
    OVERDUE("8","已超期",""),
    ACCEPT_REFUSE("9","验收驳回",""),
    TO_BE_ACCEPT("10","待验收",""),
    ACCEPT_TO_BE_SEAL("11","验收待盖章",""),
    /** 12 已完成*/
    FINISHED("12","已完成",""),
    OVERDUE_FINISH("13","超期完成",""),
    TO_BE_SHOW("14","待回显",""),
    HEADER_REVIEW("18","组长审批",""),
	DISTRICT_GRAIN_OFFICE_CLOSED("17","区粮办办结",""),
	DISTRICT_GRAIN_REJECT("24","已撤回",""),
	DISTRICT_GRAIN_APPROVAL("33","改期审批","");

    private String name;
    private String value;
    private String desc;

    private DailyCheckStatusConstant(String value, String name, String desc){
        this.value=value;
        this.name=name;
        this.desc=desc;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }

    public String getDesc(){
        return this.desc;
    }
    public void setDesc(String desc){
        this.desc=desc;
    }

    public boolean equalsVal(String val) {
        if (null == val) {
            return false;
        }
        return this.value.equals(val);
    }
}
