package com.unis.inspectionresult.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Classname Dcfxx
 * @Description 仓房信息
 * @Date 2023/11/24 10:22
 * @Created by rising123sun
 */
@Data
@ApiModel(value = "Dcfxx(仓房信息)")
public class Dcfxx {
    // 仓房编号
    @ApiModelProperty(value = "仓房编号")
    private String cfbh;

    // 仓房名称
    @ApiModelProperty(value = "仓房名称")
    private String cfmc;

    // 库点代码
    @ApiModelProperty(value = "库点代码")
    private String kddm;

    // 被检查次数
    @ApiModelProperty(value = "被检查次数")
    private Integer bjccs;

    // bjccs为null时，显示0
    public Integer getBjccs() {
        if (bjccs == null) {
            return 0;
        }
        return bjccs;
    }
}
