package com.unis.inspectionresult.common.vo;



import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("检查指标")
public class InspectionIndicatorsVO extends BaseVO {
	
	/**
	 * 指标id  ZB+20190822+001
	 */
	@ApiModelProperty("指标id")
    private String zbId;

	/**
	 * 指标名称/指标项内容
	 */
	@ApiModelProperty("指标名称")
    private Date zbName;

	/**
	 * 数据类型
	 */
	@ApiModelProperty("数据类型")
    private Date sjlx;

	/**
	 * 任务类型编号
	 */
	@ApiModelProperty("任务类型编号")
    private String rwlxId;

	/**
	 * 任务类型编号集合
	 */
	private List<String> rwlxIdList;
	
	/**
	 * 任务类型名称
	 */
	private String rwlxmc;
	
	/**
	 * 任务类型名称集合
	 */
	private List<String> rwlxmcList;

	/**
	 * 任务类型名称
	 */
	@ApiModelProperty("所属单位代码")
    private String dwDm;

	/**
	 * 所属单位名称/指标范围
	 */
	@ApiModelProperty("所属单位名称")
    private String dwMc;

	/**
	 * 指标提交人
	 */
	@ApiModelProperty("指标提交人")
    private String zbTjr;

	/**
	 * 指标提交人
	 */
	@ApiModelProperty("指标提交人")
    private String zbTjrbh;

	/**
	 * 提交时间
	 */
	@ApiModelProperty("提交时间")
    private String zbTjsj;

	/**
	 * 指标状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("指标状态（0、禁用。1、启用）")
    private Integer zbZt;

	

}