package com.unis.inspectionresult.common.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Classname Jcdwtjb
 * @Description 检查单位统计表
 * @Date 2023/11/24 11:18
 * @Created by rising123sun
 */
@Data
@ApiModel(value = "Jcdwtjb(检查单位统计表)")
public class Jcdwtjb {

    // 检查单位
    @ExcelProperty(value = "检查单位")
    @ColumnWidth(35)
    @ApiModelProperty(value = "检查单位")
    private String jcdwmc;

    // 检查单位编码
    @ExcelIgnore
    @ApiModelProperty(value = "检查单位编码")
    private String jcdwbm;

    // 检查年份
    @ExcelIgnore
    @ApiModelProperty(value = "检查年份")
    private String jcnf;

    // 检查总数
    @ExcelProperty(value = "检查总数")
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查总数")
    private Integer jczs;

    // 检查类型-安全生产
    @ExcelProperty({"检查类型", "安全生产"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-安全生产")
    private Integer aqsc;

    // 检查类型-储粮安全
    @ExcelProperty({"检查类型", "储粮安全"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-储粮安全")
    private Integer claq;

    // 检查类型-质量安全
    @ExcelProperty({"检查类型", "质量安全"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-质量安全")
    private Integer zlaq;

    // 检查类型-防雨防汛
    @ExcelProperty({"检查类型", "防雨防汛"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-防雨防汛")
    private Integer fyfx;

    // 整改类型-无需整改
    @ExcelProperty({"整改类型", "无需整改"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "整改类型-无需整改")
    private Integer wxzg;

    // 整改类型-现场整改
    @ExcelProperty({"整改类型", "现场整改"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "整改类型-现场整改")
    private Integer xczg;

    // 整改类型-限期整改
    @ExcelProperty({"整改类型", "限期整改"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "整改类型-限期整改")
    private Integer xqzg;

    // 整改情况-需整改数
    @ExcelProperty({"整改情况", "需整改数"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "整改情况-需整改数")
    private Integer xzgs;

    // 整改情况-已完成整改数
    @ExcelProperty({"整改情况", "已完成整改数"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "整改情况-已完成整改数")
    private Integer ywcxzs;

    // 整改情况-未完成整改数
    @ExcelProperty({"整改情况", "未完成整改数"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "整改情况-未完成整改数")
    private Integer wwcxzs;

}
