package com.unis.inspectionresult.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationFeedbackDetailedVO
 * @ProjectName 整改反馈明细业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("整改反馈明细业务对象")
public class RectificationFeedbackDetailedVO extends BaseVO {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Column(name="ID",length=9)
    private Integer id;

    @ApiModelProperty(value = "整改反馈单id(结果id+FK+001)", notes ="整改反馈单id(结果id+FK+001)", required = false)
    @Column(name="FKD_ID",length=32)
    private String fkdId;

    @ApiModelProperty(value = "整改措施项", notes ="整改措施项", required = false)
    @Column(name="ZGCSX",length=256)
    private String zgcsx;

    public RectificationFeedbackDetailedVO(Integer id, String fkdId, String zgcsx) {
        super();
        this.id = id;
        this.fkdId = fkdId;
        this.zgcsx = zgcsx;
    }

    public RectificationFeedbackDetailedVO() {
    }
}
