package com.unis.inspectionresult.common.vo.resultback;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：检查结果检查时间和结果Id
 * @author：王帅
 * @date: 2020年1月13日 上午9:41:55
 */
@ApiModel(value = "DailyCheckInspectionTimeAndResultIdVO（检查结果检查时间和结果Id）")
@Data
public class DailyCheckInspectionTimeAndResultIdVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "检查结果Id")
	private String jgId;

	@ApiModelProperty(value = "检查时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
	private Date jcsj;
}
