package com.unis.inspectionresult.common.vo.resultback;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：结果反馈-日常检查结果-流程调整
 * @author：王帅
 * @date: 2019年12月4日
 */
@Data
@ApiModel(value = "DailyCheckProcessAdjustmentShowVO(流程调整展示对象)")
public class DailyCheckProcessAdjustmentShowVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String lcId;
	
	@ApiModelProperty(value = "调整原因")
	private String tzyy; // 调整原因

	@ApiModelProperty(value = "提交人")
	private String tjr;// 调整人

	@ApiModelProperty(value = "调整时间")
	private Date tjsj;// 调整时间

	@ApiModelProperty(value = "审批意见")
	private Integer spjg; // 审批意见

	@ApiModelProperty(value = "驳回原因")
	private String bhyy;// 驳回原因

	@ApiModelProperty(value = "审批人")
	private String spr;// 审批人

	@ApiModelProperty(value = "审批时间")
	private Date spsj; // 审批时间
}
