/*
* DailyCheckResultVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import com.unis.inspectionresult.common.groups.InsertGroup;
import com.unis.inspectionresult.common.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * T_JCJG-检查结果履职表
 * @author WangZL at 2019-08-26 16:21:29
 */
@ApiModel(value = "T_JCJG:检查结果履职表-DailyCheckResultPerformanceVO",description="A")
@Data
@Table(name="T_JCJG")
public class DailyCheckResultPerformanceVO implements Serializable{

    @NotBlank(message = "主键id不能为空",groups ={UpdateGroup.class})
    @Length(max=56,message="主键id最大为56字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "主键id#<主键><唯一><非空>结果id(任务id+001)", notes ="主键id")
    @Id
    @Column(name="JG_ID",length=56)
    private String jgId;

	@ApiModelProperty(value = "检查内容-表字段")
    @Column(name="JG_ID",length=56)
	private String jcnr; //检查内容

}