/*
* DailyCheckResultVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2019-08-26 16:21:29 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.inspectionresult.common.vo.resultback;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * 检查工作开展情况统计
 * @author WangZL at 2019-08-26 16:21:29
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value = "检查工作开展情况统计-DevelopmentSituationVO",description="A")
public class DevelopmentSituationVO implements Serializable{

    @ApiModelProperty(value = "当月检查次数")
    private Integer dyjccs;
    
    @ApiModelProperty(value = "当月检查人次")
    private Integer dyjcrc;
    
    @ApiModelProperty(value = "当月检查个数")
    private Integer dyjcgs;
    
    @ApiModelProperty(value = "累计检查次数")
    private Integer ljjccs;
    
    @ApiModelProperty(value = "累计检查人次")
    private Integer ljjcrc;
    
    @ApiModelProperty(value = "累计检查个数")
    private Integer ljjcgs;

    @ApiModelProperty(value = "当月检查警告")
    private Integer dyjcjg;

    @ApiModelProperty(value = "当月检查整改")
    private Integer dyjczg;

    @ApiModelProperty(value = "当月检查罚没")
    private Integer dyjcfm;

    @ApiModelProperty(value = "当月检查其他")
    private Integer dyjcqt;

    @ApiModelProperty(value = "累计检查警告")
    private Integer ljjcjg;

    @ApiModelProperty(value = "累计检查整改")
    private Integer ljjczg;

    @ApiModelProperty(value = "累计检查罚没")
    private Integer ljjcfm;

    @ApiModelProperty(value = "累计检查其他")
    private Integer ljjcqt;

    public DevelopmentSituationVO(Integer dyjccs, Integer dyjcrc, Integer dyjcgs, Integer ljjccs, Integer ljjcrc,
                                  Integer ljjcgs, Integer dyjcjg, Integer dyjczg, Integer dyjcfm, Integer dyjcqt,
                                  Integer ljjcjg, Integer ljjczg, Integer ljjcfm, Integer ljjcqt) {
        super();
        this.dyjccs = dyjccs;
        this.dyjcrc = dyjcrc;
        this.dyjcgs = dyjcgs;
        this.ljjccs = ljjccs;
        this.ljjcrc = ljjcrc;
        this.ljjcgs = ljjcgs;
        this.dyjcjg = dyjcjg;
        this.dyjczg = dyjczg;
        this.dyjcfm = dyjcfm;
        this.dyjcqt = dyjcqt;
        this.ljjcjg = ljjcjg;
        this.ljjczg = ljjczg;
        this.ljjcfm = ljjcfm;
        this.ljjcqt = ljjcqt;
    }

    public DevelopmentSituationVO() {
    }
}