package com.unis.inspectionresult.server;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import tk.mybatis.spring.annotation.MapperScan;
@SpringBootApplication
@EnableDiscoveryClient
@EnableScheduling
@ComponentScan("com.unis")
//@MapperScan("com.unis.inspectionresult.server.dao")
@org.mybatis.spring.annotation.MapperScan("com.unis.inspectionresult.server.dao")
public class InspectionresultApplication{
    public static void main( String[] args ){
        SpringApplication.run(InspectionresultApplication.class, args);
        System.out.println("-----------------------------启动成功--------------------------");
    }
}

