package com.unis.inspectionresult.server.dao;

import java.util.List;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionresult.common.vo.CheckCensusQueryVO;
import com.unis.inspectionresult.common.vo.CheckCensusVO;
import com.unis.inspectionresult.common.vo.CheckSecurityVO;
import com.unis.inspectionresult.common.vo.FormfieldsqueryVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsqueryVO;
import com.unis.inspectionresult.server.entity.TBdxxDO;
import com.unis.inspectionresult.server.entity.TJczbDO;
import com.unis.inspectionresult.server.example.TBdxxExample;
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface CheckCensusDao {

	CheckCensusVO getInfo(CheckCensusQueryVO checkCensusQueryVO);

	List<String> getRwid(CheckCensusQueryVO checkCensusQueryVO);

	CheckSecurityVO checksecurity(CheckCensusQueryVO checkCensusQueryVO);

}
