package com.unis.inspectionresult.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionresult.common.vo.CheckResultRescheduVO;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface CheckResultRescheduDao {

	int insert(CheckResultRescheduVO checkCensusQueryVO);

	void delete(CheckResultRescheduVO checkCensusQueryVO);

	List<CheckResultRescheduVO> selectList(@Param("jgId")String jgId);

	void deleteGz(@Param("jgId")String jgId);

}
