package com.unis.inspectionresult.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsqueryVO;
import com.unis.inspectionresult.server.entity.TJczbDO;
import com.unis.inspectionresult.server.example.TJczbExample;
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TJczbMapper {
    int countByExample(TJczbExample example);

    int deleteByExample(TJczbExample example);

    int deleteByPrimaryKey(String zbId);

    int insert(InspectionIndicatorsVO record);

    int insertSelective(TJczbDO tJczbDO);

    List<TJczbDO> selectByExample(TJczbExample example);

    TJczbDO selectByPrimaryKey(String zbId);

    int updateByExampleSelective(@Param("record") TJczbDO record, @Param("example") TJczbExample example);

    int updateByExample(@Param("record") TJczbDO record, @Param("example") TJczbExample example);

    int updateByPrimaryKeySelective(TJczbDO tJczbDO);

    int updateByPrimaryKey(InspectionIndicatorsVO record);
    
    String getMaxCodeById(@Param("pstr")String pstr);
	
	//分页查询
	List<TJczbDO> getList(InspectionIndicatorsqueryVO queryvo);
}