package com.unis.inspectionresult.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title TZlzgtzdDO
 * @ProjectName 责令整改通知单实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_FILE")
public class FileDO extends BaseEntity {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Id
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "数据id(针对表中数据主键)", notes ="数据id(针对表中数据主键)", required = false)
    @Column(name = "sj_id")
    private String sjId;

    @ApiModelProperty(value = "文件ID", notes ="文件ID", required = false)
    @Column(name = "file_id")
    private String fileId;

    @ApiModelProperty(value = "文件类型0、附件。1、文件", notes ="文件类型0、附件。1、文件", required = false)
    @Column(name = "file_type")
    private Integer fileType;


}
