package com.unis.inspectionresult.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationFeedbackDetailedDO
 * @ProjectName 整改反馈明细实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_ZGFKDMX")
public class RectificationFeedbackDetailedDO extends BaseEntity {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Id
    @Column(name = "id")
    private Integer id;

    @ApiModelProperty(value = "整改反馈单id(结果id+FK+001)", notes ="整改反馈单id(结果id+FK+001)", required = false)
    @Column(name = "fkdId")
    private String fkdId;

    @ApiModelProperty(value = "整改措施项", notes ="整改措施项", required = false)
    @Column(name = "zgcsx")
    private String zgcsx;

}
