package com.unis.inspectionresult.server.entity.resultback;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.inspectionresult.server.entity.BaseEntity;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 
 * @Description：日常检查结果-区粮办办结处理
 * @author：王帅 
 * @date: 2019年12月16日 下午5:29:02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "t_jcjgbjcl")
public class DailyCheckTransferredToDealWithDO extends BaseEntity {
	
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "bj_id")
	private String bjId;//主键id
	
	@Column(name = "jg_id")
	private String jgId; //检查结果主键
	
	@Column(name = "fkd_Id")
	private String fkdId;//反馈单主键
	
	private Integer sfbj; //是否办结（0：否，1：是）
	
	private String bjyj;//办结意见
	
	private String clr;// 处理人
	
	private Date clsj;//处理时间
}
