package com.unis.inspectionresult.server.example;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class ApprovalOpinionsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ApprovalOpinionsExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andBdshyjIdIsNull() {
            addCriterion("BDSHYJ_ID is null");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdIsNotNull() {
            addCriterion("BDSHYJ_ID is not null");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdEqualTo(String value) {
            addCriterion("BDSHYJ_ID =", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdNotEqualTo(String value) {
            addCriterion("BDSHYJ_ID <>", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdGreaterThan(String value) {
            addCriterion("BDSHYJ_ID >", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdGreaterThanOrEqualTo(String value) {
            addCriterion("BDSHYJ_ID >=", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdLessThan(String value) {
            addCriterion("BDSHYJ_ID <", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdLessThanOrEqualTo(String value) {
            addCriterion("BDSHYJ_ID <=", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdLike(String value) {
            addCriterion("BDSHYJ_ID like", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdNotLike(String value) {
            addCriterion("BDSHYJ_ID not like", value, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdIn(List<String> values) {
            addCriterion("BDSHYJ_ID in", values, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdNotIn(List<String> values) {
            addCriterion("BDSHYJ_ID not in", values, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdBetween(String value1, String value2) {
            addCriterion("BDSHYJ_ID between", value1, value2, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andBdshyjIdNotBetween(String value1, String value2) {
            addCriterion("BDSHYJ_ID not between", value1, value2, "bdshyjId");
            return (Criteria) this;
        }

        public Criteria andDataIdIsNull() {
            addCriterion("DATA_ID is null");
            return (Criteria) this;
        }

        public Criteria andDataIdIsNotNull() {
            addCriterion("DATA_ID is not null");
            return (Criteria) this;
        }

        public Criteria andDataIdEqualTo(String value) {
            addCriterion("DATA_ID =", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdNotEqualTo(String value) {
            addCriterion("DATA_ID <>", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdGreaterThan(String value) {
            addCriterion("DATA_ID >", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdGreaterThanOrEqualTo(String value) {
            addCriterion("DATA_ID >=", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdLessThan(String value) {
            addCriterion("DATA_ID <", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdLessThanOrEqualTo(String value) {
            addCriterion("DATA_ID <=", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdLike(String value) {
            addCriterion("DATA_ID like", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdNotLike(String value) {
            addCriterion("DATA_ID not like", value, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdIn(List<String> values) {
            addCriterion("DATA_ID in", values, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdNotIn(List<String> values) {
            addCriterion("DATA_ID not in", values, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdBetween(String value1, String value2) {
            addCriterion("DATA_ID between", value1, value2, "dataId");
            return (Criteria) this;
        }

        public Criteria andDataIdNotBetween(String value1, String value2) {
            addCriterion("DATA_ID not between", value1, value2, "dataId");
            return (Criteria) this;
        }

        public Criteria andApproverIsNull() {
            addCriterion("APPROVER is null");
            return (Criteria) this;
        }

        public Criteria andApproverIsNotNull() {
            addCriterion("APPROVER is not null");
            return (Criteria) this;
        }

        public Criteria andApproverEqualTo(String value) {
            addCriterion("APPROVER =", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotEqualTo(String value) {
            addCriterion("APPROVER <>", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverGreaterThan(String value) {
            addCriterion("APPROVER >", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverGreaterThanOrEqualTo(String value) {
            addCriterion("APPROVER >=", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverLessThan(String value) {
            addCriterion("APPROVER <", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverLessThanOrEqualTo(String value) {
            addCriterion("APPROVER <=", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverLike(String value) {
            addCriterion("APPROVER like", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotLike(String value) {
            addCriterion("APPROVER not like", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverIn(List<String> values) {
            addCriterion("APPROVER in", values, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotIn(List<String> values) {
            addCriterion("APPROVER not in", values, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverBetween(String value1, String value2) {
            addCriterion("APPROVER between", value1, value2, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotBetween(String value1, String value2) {
            addCriterion("APPROVER not between", value1, value2, "approver");
            return (Criteria) this;
        }

        public Criteria andShsjIsNull() {
            addCriterion("SHSJ is null");
            return (Criteria) this;
        }

        public Criteria andShsjIsNotNull() {
            addCriterion("SHSJ is not null");
            return (Criteria) this;
        }

        public Criteria andShsjEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ =", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ <>", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjGreaterThan(Date value) {
            addCriterionForJDBCDate("SHSJ >", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ >=", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjLessThan(Date value) {
            addCriterionForJDBCDate("SHSJ <", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ <=", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjIn(List<Date> values) {
            addCriterionForJDBCDate("SHSJ in", values, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotIn(List<Date> values) {
            addCriterionForJDBCDate("SHSJ not in", values, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SHSJ between", value1, value2, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SHSJ not between", value1, value2, "shsj");
            return (Criteria) this;
        }

        public Criteria andShyjbtIsNull() {
            addCriterion("SHYJBT is null");
            return (Criteria) this;
        }

        public Criteria andShyjbtIsNotNull() {
            addCriterion("SHYJBT is not null");
            return (Criteria) this;
        }

        public Criteria andShyjbtEqualTo(String value) {
            addCriterion("SHYJBT =", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtNotEqualTo(String value) {
            addCriterion("SHYJBT <>", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtGreaterThan(String value) {
            addCriterion("SHYJBT >", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtGreaterThanOrEqualTo(String value) {
            addCriterion("SHYJBT >=", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtLessThan(String value) {
            addCriterion("SHYJBT <", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtLessThanOrEqualTo(String value) {
            addCriterion("SHYJBT <=", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtLike(String value) {
            addCriterion("SHYJBT like", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtNotLike(String value) {
            addCriterion("SHYJBT not like", value, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtIn(List<String> values) {
            addCriterion("SHYJBT in", values, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtNotIn(List<String> values) {
            addCriterion("SHYJBT not in", values, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtBetween(String value1, String value2) {
            addCriterion("SHYJBT between", value1, value2, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjbtNotBetween(String value1, String value2) {
            addCriterion("SHYJBT not between", value1, value2, "shyjbt");
            return (Criteria) this;
        }

        public Criteria andShyjzwIsNull() {
            addCriterion("SHYJZW is null");
            return (Criteria) this;
        }

        public Criteria andShyjzwIsNotNull() {
            addCriterion("SHYJZW is not null");
            return (Criteria) this;
        }

        public Criteria andShyjzwEqualTo(String value) {
            addCriterion("SHYJZW =", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwNotEqualTo(String value) {
            addCriterion("SHYJZW <>", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwGreaterThan(String value) {
            addCriterion("SHYJZW >", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwGreaterThanOrEqualTo(String value) {
            addCriterion("SHYJZW >=", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwLessThan(String value) {
            addCriterion("SHYJZW <", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwLessThanOrEqualTo(String value) {
            addCriterion("SHYJZW <=", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwLike(String value) {
            addCriterion("SHYJZW like", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwNotLike(String value) {
            addCriterion("SHYJZW not like", value, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwIn(List<String> values) {
            addCriterion("SHYJZW in", values, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwNotIn(List<String> values) {
            addCriterion("SHYJZW not in", values, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwBetween(String value1, String value2) {
            addCriterion("SHYJZW between", value1, value2, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShyjzwNotBetween(String value1, String value2) {
            addCriterion("SHYJZW not between", value1, value2, "shyjzw");
            return (Criteria) this;
        }

        public Criteria andShjgbmIsNull() {
            addCriterion("SHJGBM is null");
            return (Criteria) this;
        }

        public Criteria andShjgbmIsNotNull() {
            addCriterion("SHJGBM is not null");
            return (Criteria) this;
        }

        public Criteria andShjgbmEqualTo(String value) {
            addCriterion("SHJGBM =", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmNotEqualTo(String value) {
            addCriterion("SHJGBM <>", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmGreaterThan(String value) {
            addCriterion("SHJGBM >", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmGreaterThanOrEqualTo(String value) {
            addCriterion("SHJGBM >=", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmLessThan(String value) {
            addCriterion("SHJGBM <", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmLessThanOrEqualTo(String value) {
            addCriterion("SHJGBM <=", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmLike(String value) {
            addCriterion("SHJGBM like", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmNotLike(String value) {
            addCriterion("SHJGBM not like", value, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmIn(List<String> values) {
            addCriterion("SHJGBM in", values, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmNotIn(List<String> values) {
            addCriterion("SHJGBM not in", values, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmBetween(String value1, String value2) {
            addCriterion("SHJGBM between", value1, value2, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andShjgbmNotBetween(String value1, String value2) {
            addCriterion("SHJGBM not between", value1, value2, "shjgbm");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`STATUS` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`STATUS` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`STATUS` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`STATUS` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`STATUS` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`STATUS` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`STATUS` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`STATUS` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`STATUS` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`STATUS` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`STATUS` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`STATUS` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNull() {
            addCriterion("CREATEOR is null");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNotNull() {
            addCriterion("CREATEOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorEqualTo(String value) {
            addCriterion("CREATEOR =", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotEqualTo(String value) {
            addCriterion("CREATEOR <>", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThan(String value) {
            addCriterion("CREATEOR >", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR >=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThan(String value) {
            addCriterion("CREATEOR <", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR <=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLike(String value) {
            addCriterion("CREATEOR like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotLike(String value) {
            addCriterion("CREATEOR not like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorIn(List<String> values) {
            addCriterion("CREATEOR in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotIn(List<String> values) {
            addCriterion("CREATEOR not in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorBetween(String value1, String value2) {
            addCriterion("CREATEOR between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotBetween(String value1, String value2) {
            addCriterion("CREATEOR not between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNull() {
            addCriterion("CREATEOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNotNull() {
            addCriterion("CREATEOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeEqualTo(String value) {
            addCriterion("CREATEOR_CODE =", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotEqualTo(String value) {
            addCriterion("CREATEOR_CODE <>", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThan(String value) {
            addCriterion("CREATEOR_CODE >", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE >=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThan(String value) {
            addCriterion("CREATEOR_CODE <", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE <=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLike(String value) {
            addCriterion("CREATEOR_CODE like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotLike(String value) {
            addCriterion("CREATEOR_CODE not like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIn(List<String> values) {
            addCriterion("CREATEOR_CODE in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotIn(List<String> values) {
            addCriterion("CREATEOR_CODE not in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE not between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNull() {
            addCriterion("REFRESH_DATE is null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNotNull() {
            addCriterion("REFRESH_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateEqualTo(Date value) {
            addCriterion("REFRESH_DATE =", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotEqualTo(Date value) {
            addCriterion("REFRESH_DATE <>", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThan(Date value) {
            addCriterion("REFRESH_DATE >", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE >=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThan(Date value) {
            addCriterion("REFRESH_DATE <", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE <=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIn(List<Date> values) {
            addCriterion("REFRESH_DATE in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotIn(List<Date> values) {
            addCriterion("REFRESH_DATE not in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE not between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}