package com.unis.inspectionresult.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class CheckWorkLogExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CheckWorkLogExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(BigDecimal value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(BigDecimal value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(BigDecimal value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(BigDecimal value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<BigDecimal> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<BigDecimal> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andJcKssjIsNull() {
            addCriterion("JC_KSSJ is null");
            return (Criteria) this;
        }

        public Criteria andJcKssjIsNotNull() {
            addCriterion("JC_KSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJcKssjEqualTo(Date value) {
            addCriterionForJDBCDate("JC_KSSJ =", value, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjNotEqualTo(Date value) {
            addCriterionForJDBCDate("JC_KSSJ <>", value, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjGreaterThan(Date value) {
            addCriterionForJDBCDate("JC_KSSJ >", value, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JC_KSSJ >=", value, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjLessThan(Date value) {
            addCriterionForJDBCDate("JC_KSSJ <", value, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JC_KSSJ <=", value, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjIn(List<Date> values) {
            addCriterionForJDBCDate("JC_KSSJ in", values, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjNotIn(List<Date> values) {
            addCriterionForJDBCDate("JC_KSSJ not in", values, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JC_KSSJ between", value1, value2, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcKssjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JC_KSSJ not between", value1, value2, "jcKssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjIsNull() {
            addCriterion("JC_JSSJ is null");
            return (Criteria) this;
        }

        public Criteria andJcJssjIsNotNull() {
            addCriterion("JC_JSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJcJssjEqualTo(Date value) {
            addCriterionForJDBCDate("JC_JSSJ =", value, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjNotEqualTo(Date value) {
            addCriterionForJDBCDate("JC_JSSJ <>", value, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjGreaterThan(Date value) {
            addCriterionForJDBCDate("JC_JSSJ >", value, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JC_JSSJ >=", value, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjLessThan(Date value) {
            addCriterionForJDBCDate("JC_JSSJ <", value, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JC_JSSJ <=", value, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjIn(List<Date> values) {
            addCriterionForJDBCDate("JC_JSSJ in", values, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjNotIn(List<Date> values) {
            addCriterionForJDBCDate("JC_JSSJ not in", values, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JC_JSSJ between", value1, value2, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcJssjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JC_JSSJ not between", value1, value2, "jcJssj");
            return (Criteria) this;
        }

        public Criteria andJcryIdIsNull() {
            addCriterion("JCRY_ID is null");
            return (Criteria) this;
        }

        public Criteria andJcryIdIsNotNull() {
            addCriterion("JCRY_ID is not null");
            return (Criteria) this;
        }

        public Criteria andJcryIdEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_ID =", value, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdNotEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_ID <>", value, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdGreaterThan(Date value) {
            addCriterionForJDBCDate("JCRY_ID >", value, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_ID >=", value, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdLessThan(Date value) {
            addCriterionForJDBCDate("JCRY_ID <", value, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_ID <=", value, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdIn(List<Date> values) {
            addCriterionForJDBCDate("JCRY_ID in", values, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdNotIn(List<Date> values) {
            addCriterionForJDBCDate("JCRY_ID not in", values, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JCRY_ID between", value1, value2, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryIdNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JCRY_ID not between", value1, value2, "jcryId");
            return (Criteria) this;
        }

        public Criteria andJcryNameIsNull() {
            addCriterion("JCRY_NAME is null");
            return (Criteria) this;
        }

        public Criteria andJcryNameIsNotNull() {
            addCriterion("JCRY_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andJcryNameEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_NAME =", value, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameNotEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_NAME <>", value, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameGreaterThan(Date value) {
            addCriterionForJDBCDate("JCRY_NAME >", value, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_NAME >=", value, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameLessThan(Date value) {
            addCriterionForJDBCDate("JCRY_NAME <", value, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("JCRY_NAME <=", value, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameIn(List<Date> values) {
            addCriterionForJDBCDate("JCRY_NAME in", values, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameNotIn(List<Date> values) {
            addCriterionForJDBCDate("JCRY_NAME not in", values, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JCRY_NAME between", value1, value2, "jcryName");
            return (Criteria) this;
        }

        public Criteria andJcryNameNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("JCRY_NAME not between", value1, value2, "jcryName");
            return (Criteria) this;
        }

        public Criteria andBjdwIdIsNull() {
            addCriterion("BJDW_ID is null");
            return (Criteria) this;
        }

        public Criteria andBjdwIdIsNotNull() {
            addCriterion("BJDW_ID is not null");
            return (Criteria) this;
        }

        public Criteria andBjdwIdEqualTo(String value) {
            addCriterion("BJDW_ID =", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdNotEqualTo(String value) {
            addCriterion("BJDW_ID <>", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdGreaterThan(String value) {
            addCriterion("BJDW_ID >", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdGreaterThanOrEqualTo(String value) {
            addCriterion("BJDW_ID >=", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdLessThan(String value) {
            addCriterion("BJDW_ID <", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdLessThanOrEqualTo(String value) {
            addCriterion("BJDW_ID <=", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdLike(String value) {
            addCriterion("BJDW_ID like", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdNotLike(String value) {
            addCriterion("BJDW_ID not like", value, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdIn(List<String> values) {
            addCriterion("BJDW_ID in", values, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdNotIn(List<String> values) {
            addCriterion("BJDW_ID not in", values, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdBetween(String value1, String value2) {
            addCriterion("BJDW_ID between", value1, value2, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwIdNotBetween(String value1, String value2) {
            addCriterion("BJDW_ID not between", value1, value2, "bjdwId");
            return (Criteria) this;
        }

        public Criteria andBjdwNameIsNull() {
            addCriterion("BJDW_NAME is null");
            return (Criteria) this;
        }

        public Criteria andBjdwNameIsNotNull() {
            addCriterion("BJDW_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andBjdwNameEqualTo(String value) {
            addCriterion("BJDW_NAME =", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameNotEqualTo(String value) {
            addCriterion("BJDW_NAME <>", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameGreaterThan(String value) {
            addCriterion("BJDW_NAME >", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameGreaterThanOrEqualTo(String value) {
            addCriterion("BJDW_NAME >=", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameLessThan(String value) {
            addCriterion("BJDW_NAME <", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameLessThanOrEqualTo(String value) {
            addCriterion("BJDW_NAME <=", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameLike(String value) {
            addCriterion("BJDW_NAME like", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameNotLike(String value) {
            addCriterion("BJDW_NAME not like", value, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameIn(List<String> values) {
            addCriterion("BJDW_NAME in", values, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameNotIn(List<String> values) {
            addCriterion("BJDW_NAME not in", values, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameBetween(String value1, String value2) {
            addCriterion("BJDW_NAME between", value1, value2, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andBjdwNameNotBetween(String value1, String value2) {
            addCriterion("BJDW_NAME not between", value1, value2, "bjdwName");
            return (Criteria) this;
        }

        public Criteria andJcyyIsNull() {
            addCriterion("JCYY is null");
            return (Criteria) this;
        }

        public Criteria andJcyyIsNotNull() {
            addCriterion("JCYY is not null");
            return (Criteria) this;
        }

        public Criteria andJcyyEqualTo(String value) {
            addCriterion("JCYY =", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyNotEqualTo(String value) {
            addCriterion("JCYY <>", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyGreaterThan(String value) {
            addCriterion("JCYY >", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyGreaterThanOrEqualTo(String value) {
            addCriterion("JCYY >=", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyLessThan(String value) {
            addCriterion("JCYY <", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyLessThanOrEqualTo(String value) {
            addCriterion("JCYY <=", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyLike(String value) {
            addCriterion("JCYY like", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyNotLike(String value) {
            addCriterion("JCYY not like", value, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyIn(List<String> values) {
            addCriterion("JCYY in", values, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyNotIn(List<String> values) {
            addCriterion("JCYY not in", values, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyBetween(String value1, String value2) {
            addCriterion("JCYY between", value1, value2, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcyyNotBetween(String value1, String value2) {
            addCriterion("JCYY not between", value1, value2, "jcyy");
            return (Criteria) this;
        }

        public Criteria andJcnrIsNull() {
            addCriterion("JCNR is null");
            return (Criteria) this;
        }

        public Criteria andJcnrIsNotNull() {
            addCriterion("JCNR is not null");
            return (Criteria) this;
        }

        public Criteria andJcnrEqualTo(String value) {
            addCriterion("JCNR =", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrNotEqualTo(String value) {
            addCriterion("JCNR <>", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrGreaterThan(String value) {
            addCriterion("JCNR >", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrGreaterThanOrEqualTo(String value) {
            addCriterion("JCNR >=", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrLessThan(String value) {
            addCriterion("JCNR <", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrLessThanOrEqualTo(String value) {
            addCriterion("JCNR <=", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrLike(String value) {
            addCriterion("JCNR like", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrNotLike(String value) {
            addCriterion("JCNR not like", value, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrIn(List<String> values) {
            addCriterion("JCNR in", values, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrNotIn(List<String> values) {
            addCriterion("JCNR not in", values, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrBetween(String value1, String value2) {
            addCriterion("JCNR between", value1, value2, "jcnr");
            return (Criteria) this;
        }

        public Criteria andJcnrNotBetween(String value1, String value2) {
            addCriterion("JCNR not between", value1, value2, "jcnr");
            return (Criteria) this;
        }

        public Criteria andFxdwtIsNull() {
            addCriterion("FXDWT is null");
            return (Criteria) this;
        }

        public Criteria andFxdwtIsNotNull() {
            addCriterion("FXDWT is not null");
            return (Criteria) this;
        }

        public Criteria andFxdwtEqualTo(String value) {
            addCriterion("FXDWT =", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtNotEqualTo(String value) {
            addCriterion("FXDWT <>", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtGreaterThan(String value) {
            addCriterion("FXDWT >", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtGreaterThanOrEqualTo(String value) {
            addCriterion("FXDWT >=", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtLessThan(String value) {
            addCriterion("FXDWT <", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtLessThanOrEqualTo(String value) {
            addCriterion("FXDWT <=", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtLike(String value) {
            addCriterion("FXDWT like", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtNotLike(String value) {
            addCriterion("FXDWT not like", value, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtIn(List<String> values) {
            addCriterion("FXDWT in", values, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtNotIn(List<String> values) {
            addCriterion("FXDWT not in", values, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtBetween(String value1, String value2) {
            addCriterion("FXDWT between", value1, value2, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andFxdwtNotBetween(String value1, String value2) {
            addCriterion("FXDWT not between", value1, value2, "fxdwt");
            return (Criteria) this;
        }

        public Criteria andClqkIsNull() {
            addCriterion("CLQK is null");
            return (Criteria) this;
        }

        public Criteria andClqkIsNotNull() {
            addCriterion("CLQK is not null");
            return (Criteria) this;
        }

        public Criteria andClqkEqualTo(String value) {
            addCriterion("CLQK =", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkNotEqualTo(String value) {
            addCriterion("CLQK <>", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkGreaterThan(String value) {
            addCriterion("CLQK >", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkGreaterThanOrEqualTo(String value) {
            addCriterion("CLQK >=", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkLessThan(String value) {
            addCriterion("CLQK <", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkLessThanOrEqualTo(String value) {
            addCriterion("CLQK <=", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkLike(String value) {
            addCriterion("CLQK like", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkNotLike(String value) {
            addCriterion("CLQK not like", value, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkIn(List<String> values) {
            addCriterion("CLQK in", values, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkNotIn(List<String> values) {
            addCriterion("CLQK not in", values, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkBetween(String value1, String value2) {
            addCriterion("CLQK between", value1, value2, "clqk");
            return (Criteria) this;
        }

        public Criteria andClqkNotBetween(String value1, String value2) {
            addCriterion("CLQK not between", value1, value2, "clqk");
            return (Criteria) this;
        }

        public Criteria andRzTjrIsNull() {
            addCriterion("RZ_TJR is null");
            return (Criteria) this;
        }

        public Criteria andRzTjrIsNotNull() {
            addCriterion("RZ_TJR is not null");
            return (Criteria) this;
        }

        public Criteria andRzTjrEqualTo(String value) {
            addCriterion("RZ_TJR =", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrNotEqualTo(String value) {
            addCriterion("RZ_TJR <>", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrGreaterThan(String value) {
            addCriterion("RZ_TJR >", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrGreaterThanOrEqualTo(String value) {
            addCriterion("RZ_TJR >=", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrLessThan(String value) {
            addCriterion("RZ_TJR <", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrLessThanOrEqualTo(String value) {
            addCriterion("RZ_TJR <=", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrLike(String value) {
            addCriterion("RZ_TJR like", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrNotLike(String value) {
            addCriterion("RZ_TJR not like", value, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrIn(List<String> values) {
            addCriterion("RZ_TJR in", values, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrNotIn(List<String> values) {
            addCriterion("RZ_TJR not in", values, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrBetween(String value1, String value2) {
            addCriterion("RZ_TJR between", value1, value2, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrNotBetween(String value1, String value2) {
            addCriterion("RZ_TJR not between", value1, value2, "rzTjr");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhIsNull() {
            addCriterion("RZ_TJRBH is null");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhIsNotNull() {
            addCriterion("RZ_TJRBH is not null");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhEqualTo(String value) {
            addCriterion("RZ_TJRBH =", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhNotEqualTo(String value) {
            addCriterion("RZ_TJRBH <>", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhGreaterThan(String value) {
            addCriterion("RZ_TJRBH >", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhGreaterThanOrEqualTo(String value) {
            addCriterion("RZ_TJRBH >=", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhLessThan(String value) {
            addCriterion("RZ_TJRBH <", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhLessThanOrEqualTo(String value) {
            addCriterion("RZ_TJRBH <=", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhLike(String value) {
            addCriterion("RZ_TJRBH like", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhNotLike(String value) {
            addCriterion("RZ_TJRBH not like", value, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhIn(List<String> values) {
            addCriterion("RZ_TJRBH in", values, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhNotIn(List<String> values) {
            addCriterion("RZ_TJRBH not in", values, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhBetween(String value1, String value2) {
            addCriterion("RZ_TJRBH between", value1, value2, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjrbhNotBetween(String value1, String value2) {
            addCriterion("RZ_TJRBH not between", value1, value2, "rzTjrbh");
            return (Criteria) this;
        }

        public Criteria andRzTjsjIsNull() {
            addCriterion("RZ_TJSJ is null");
            return (Criteria) this;
        }

        public Criteria andRzTjsjIsNotNull() {
            addCriterion("RZ_TJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andRzTjsjEqualTo(String value) {
            addCriterion("RZ_TJSJ =", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjNotEqualTo(String value) {
            addCriterion("RZ_TJSJ <>", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjGreaterThan(String value) {
            addCriterion("RZ_TJSJ >", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjGreaterThanOrEqualTo(String value) {
            addCriterion("RZ_TJSJ >=", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjLessThan(String value) {
            addCriterion("RZ_TJSJ <", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjLessThanOrEqualTo(String value) {
            addCriterion("RZ_TJSJ <=", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjLike(String value) {
            addCriterion("RZ_TJSJ like", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjNotLike(String value) {
            addCriterion("RZ_TJSJ not like", value, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjIn(List<String> values) {
            addCriterion("RZ_TJSJ in", values, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjNotIn(List<String> values) {
            addCriterion("RZ_TJSJ not in", values, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjBetween(String value1, String value2) {
            addCriterion("RZ_TJSJ between", value1, value2, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andRzTjsjNotBetween(String value1, String value2) {
            addCriterion("RZ_TJSJ not between", value1, value2, "rzTjsj");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`STATUS` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`STATUS` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(BigDecimal value) {
            addCriterion("`STATUS` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(BigDecimal value) {
            addCriterion("`STATUS` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(BigDecimal value) {
            addCriterion("`STATUS` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("`STATUS` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(BigDecimal value) {
            addCriterion("`STATUS` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(BigDecimal value) {
            addCriterion("`STATUS` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<BigDecimal> values) {
            addCriterion("`STATUS` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<BigDecimal> values) {
            addCriterion("`STATUS` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`STATUS` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`STATUS` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNull() {
            addCriterion("CREATEOR is null");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNotNull() {
            addCriterion("CREATEOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorEqualTo(String value) {
            addCriterion("CREATEOR =", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotEqualTo(String value) {
            addCriterion("CREATEOR <>", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThan(String value) {
            addCriterion("CREATEOR >", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR >=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThan(String value) {
            addCriterion("CREATEOR <", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR <=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLike(String value) {
            addCriterion("CREATEOR like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotLike(String value) {
            addCriterion("CREATEOR not like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorIn(List<String> values) {
            addCriterion("CREATEOR in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotIn(List<String> values) {
            addCriterion("CREATEOR not in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorBetween(String value1, String value2) {
            addCriterion("CREATEOR between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotBetween(String value1, String value2) {
            addCriterion("CREATEOR not between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNull() {
            addCriterion("CREATEOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNotNull() {
            addCriterion("CREATEOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeEqualTo(String value) {
            addCriterion("CREATEOR_CODE =", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotEqualTo(String value) {
            addCriterion("CREATEOR_CODE <>", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThan(String value) {
            addCriterion("CREATEOR_CODE >", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE >=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThan(String value) {
            addCriterion("CREATEOR_CODE <", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE <=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLike(String value) {
            addCriterion("CREATEOR_CODE like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotLike(String value) {
            addCriterion("CREATEOR_CODE not like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIn(List<String> values) {
            addCriterion("CREATEOR_CODE in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotIn(List<String> values) {
            addCriterion("CREATEOR_CODE not in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE not between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNull() {
            addCriterion("REFRESH_DATE is null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNotNull() {
            addCriterion("REFRESH_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateEqualTo(Date value) {
            addCriterion("REFRESH_DATE =", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotEqualTo(Date value) {
            addCriterion("REFRESH_DATE <>", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThan(Date value) {
            addCriterion("REFRESH_DATE >", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE >=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThan(Date value) {
            addCriterion("REFRESH_DATE <", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE <=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIn(List<Date> values) {
            addCriterion("REFRESH_DATE in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotIn(List<Date> values) {
            addCriterion("REFRESH_DATE not in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE not between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}