package com.unis.inspectionresult.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class RectificationAcceptanceExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public RectificationAcceptanceExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andYsdIdIsNull() {
            addCriterion("YSD_ID is null");
            return (Criteria) this;
        }

        public Criteria andYsdIdIsNotNull() {
            addCriterion("YSD_ID is not null");
            return (Criteria) this;
        }

        public Criteria andYsdIdEqualTo(String value) {
            addCriterion("YSD_ID =", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdNotEqualTo(String value) {
            addCriterion("YSD_ID <>", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdGreaterThan(String value) {
            addCriterion("YSD_ID >", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdGreaterThanOrEqualTo(String value) {
            addCriterion("YSD_ID >=", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdLessThan(String value) {
            addCriterion("YSD_ID <", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdLessThanOrEqualTo(String value) {
            addCriterion("YSD_ID <=", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdLike(String value) {
            addCriterion("YSD_ID like", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdNotLike(String value) {
            addCriterion("YSD_ID not like", value, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdIn(List<String> values) {
            addCriterion("YSD_ID in", values, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdNotIn(List<String> values) {
            addCriterion("YSD_ID not in", values, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdBetween(String value1, String value2) {
            addCriterion("YSD_ID between", value1, value2, "ysdId");
            return (Criteria) this;
        }

        public Criteria andYsdIdNotBetween(String value1, String value2) {
            addCriterion("YSD_ID not between", value1, value2, "ysdId");
            return (Criteria) this;
        }

        public Criteria andJgIdIsNull() {
            addCriterion("JG_ID is null");
            return (Criteria) this;
        }

        public Criteria andJgIdIsNotNull() {
            addCriterion("JG_ID is not null");
            return (Criteria) this;
        }

        public Criteria andJgIdEqualTo(String value) {
            addCriterion("JG_ID =", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdNotEqualTo(String value) {
            addCriterion("JG_ID <>", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdGreaterThan(String value) {
            addCriterion("JG_ID >", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdGreaterThanOrEqualTo(String value) {
            addCriterion("JG_ID >=", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdLessThan(String value) {
            addCriterion("JG_ID <", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdLessThanOrEqualTo(String value) {
            addCriterion("JG_ID <=", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdLike(String value) {
            addCriterion("JG_ID like", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdNotLike(String value) {
            addCriterion("JG_ID not like", value, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdIn(List<String> values) {
            addCriterion("JG_ID in", values, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdNotIn(List<String> values) {
            addCriterion("JG_ID not in", values, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdBetween(String value1, String value2) {
            addCriterion("JG_ID between", value1, value2, "jgId");
            return (Criteria) this;
        }

        public Criteria andJgIdNotBetween(String value1, String value2) {
            addCriterion("JG_ID not between", value1, value2, "jgId");
            return (Criteria) this;
        }

        public Criteria andYsztIsNull() {
            addCriterion("YSZT is null");
            return (Criteria) this;
        }

        public Criteria andYsztIsNotNull() {
            addCriterion("YSZT is not null");
            return (Criteria) this;
        }

        public Criteria andYsztEqualTo(BigDecimal value) {
            addCriterion("YSZT =", value, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztNotEqualTo(BigDecimal value) {
            addCriterion("YSZT <>", value, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztGreaterThan(BigDecimal value) {
            addCriterion("YSZT >", value, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("YSZT >=", value, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztLessThan(BigDecimal value) {
            addCriterion("YSZT <", value, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztLessThanOrEqualTo(BigDecimal value) {
            addCriterion("YSZT <=", value, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztIn(List<BigDecimal> values) {
            addCriterion("YSZT in", values, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztNotIn(List<BigDecimal> values) {
            addCriterion("YSZT not in", values, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YSZT between", value1, value2, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsztNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YSZT not between", value1, value2, "yszt");
            return (Criteria) this;
        }

        public Criteria andYsjgIsNull() {
            addCriterion("YSJG is null");
            return (Criteria) this;
        }

        public Criteria andYsjgIsNotNull() {
            addCriterion("YSJG is not null");
            return (Criteria) this;
        }

        public Criteria andYsjgEqualTo(String value) {
            addCriterion("YSJG =", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgNotEqualTo(String value) {
            addCriterion("YSJG <>", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgGreaterThan(String value) {
            addCriterion("YSJG >", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgGreaterThanOrEqualTo(String value) {
            addCriterion("YSJG >=", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgLessThan(String value) {
            addCriterion("YSJG <", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgLessThanOrEqualTo(String value) {
            addCriterion("YSJG <=", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgLike(String value) {
            addCriterion("YSJG like", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgNotLike(String value) {
            addCriterion("YSJG not like", value, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgIn(List<String> values) {
            addCriterion("YSJG in", values, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgNotIn(List<String> values) {
            addCriterion("YSJG not in", values, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgBetween(String value1, String value2) {
            addCriterion("YSJG between", value1, value2, "ysjg");
            return (Criteria) this;
        }

        public Criteria andYsjgNotBetween(String value1, String value2) {
            addCriterion("YSJG not between", value1, value2, "ysjg");
            return (Criteria) this;
        }

        public Criteria andJgTjrIsNull() {
            addCriterion("JG_TJR is null");
            return (Criteria) this;
        }

        public Criteria andJgTjrIsNotNull() {
            addCriterion("JG_TJR is not null");
            return (Criteria) this;
        }

        public Criteria andJgTjrEqualTo(String value) {
            addCriterion("JG_TJR =", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrNotEqualTo(String value) {
            addCriterion("JG_TJR <>", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrGreaterThan(String value) {
            addCriterion("JG_TJR >", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrGreaterThanOrEqualTo(String value) {
            addCriterion("JG_TJR >=", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrLessThan(String value) {
            addCriterion("JG_TJR <", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrLessThanOrEqualTo(String value) {
            addCriterion("JG_TJR <=", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrLike(String value) {
            addCriterion("JG_TJR like", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrNotLike(String value) {
            addCriterion("JG_TJR not like", value, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrIn(List<String> values) {
            addCriterion("JG_TJR in", values, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrNotIn(List<String> values) {
            addCriterion("JG_TJR not in", values, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrBetween(String value1, String value2) {
            addCriterion("JG_TJR between", value1, value2, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrNotBetween(String value1, String value2) {
            addCriterion("JG_TJR not between", value1, value2, "jgTjr");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhIsNull() {
            addCriterion("JG_TJRBH is null");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhIsNotNull() {
            addCriterion("JG_TJRBH is not null");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhEqualTo(String value) {
            addCriterion("JG_TJRBH =", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhNotEqualTo(String value) {
            addCriterion("JG_TJRBH <>", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhGreaterThan(String value) {
            addCriterion("JG_TJRBH >", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhGreaterThanOrEqualTo(String value) {
            addCriterion("JG_TJRBH >=", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhLessThan(String value) {
            addCriterion("JG_TJRBH <", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhLessThanOrEqualTo(String value) {
            addCriterion("JG_TJRBH <=", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhLike(String value) {
            addCriterion("JG_TJRBH like", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhNotLike(String value) {
            addCriterion("JG_TJRBH not like", value, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhIn(List<String> values) {
            addCriterion("JG_TJRBH in", values, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhNotIn(List<String> values) {
            addCriterion("JG_TJRBH not in", values, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhBetween(String value1, String value2) {
            addCriterion("JG_TJRBH between", value1, value2, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjrbhNotBetween(String value1, String value2) {
            addCriterion("JG_TJRBH not between", value1, value2, "jgTjrbh");
            return (Criteria) this;
        }

        public Criteria andJgTjsjIsNull() {
            addCriterion("JG_TJSJ is null");
            return (Criteria) this;
        }

        public Criteria andJgTjsjIsNotNull() {
            addCriterion("JG_TJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJgTjsjEqualTo(String value) {
            addCriterion("JG_TJSJ =", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjNotEqualTo(String value) {
            addCriterion("JG_TJSJ <>", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjGreaterThan(String value) {
            addCriterion("JG_TJSJ >", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjGreaterThanOrEqualTo(String value) {
            addCriterion("JG_TJSJ >=", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjLessThan(String value) {
            addCriterion("JG_TJSJ <", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjLessThanOrEqualTo(String value) {
            addCriterion("JG_TJSJ <=", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjLike(String value) {
            addCriterion("JG_TJSJ like", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjNotLike(String value) {
            addCriterion("JG_TJSJ not like", value, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjIn(List<String> values) {
            addCriterion("JG_TJSJ in", values, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjNotIn(List<String> values) {
            addCriterion("JG_TJSJ not in", values, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjBetween(String value1, String value2) {
            addCriterion("JG_TJSJ between", value1, value2, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andJgTjsjNotBetween(String value1, String value2) {
            addCriterion("JG_TJSJ not between", value1, value2, "jgTjsj");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`STATUS` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`STATUS` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(BigDecimal value) {
            addCriterion("`STATUS` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(BigDecimal value) {
            addCriterion("`STATUS` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(BigDecimal value) {
            addCriterion("`STATUS` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("`STATUS` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(BigDecimal value) {
            addCriterion("`STATUS` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(BigDecimal value) {
            addCriterion("`STATUS` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<BigDecimal> values) {
            addCriterion("`STATUS` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<BigDecimal> values) {
            addCriterion("`STATUS` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`STATUS` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`STATUS` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNull() {
            addCriterion("CREATEOR is null");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNotNull() {
            addCriterion("CREATEOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorEqualTo(String value) {
            addCriterion("CREATEOR =", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotEqualTo(String value) {
            addCriterion("CREATEOR <>", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThan(String value) {
            addCriterion("CREATEOR >", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR >=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThan(String value) {
            addCriterion("CREATEOR <", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR <=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLike(String value) {
            addCriterion("CREATEOR like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotLike(String value) {
            addCriterion("CREATEOR not like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorIn(List<String> values) {
            addCriterion("CREATEOR in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotIn(List<String> values) {
            addCriterion("CREATEOR not in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorBetween(String value1, String value2) {
            addCriterion("CREATEOR between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotBetween(String value1, String value2) {
            addCriterion("CREATEOR not between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNull() {
            addCriterion("CREATEOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNotNull() {
            addCriterion("CREATEOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeEqualTo(String value) {
            addCriterion("CREATEOR_CODE =", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotEqualTo(String value) {
            addCriterion("CREATEOR_CODE <>", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThan(String value) {
            addCriterion("CREATEOR_CODE >", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE >=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThan(String value) {
            addCriterion("CREATEOR_CODE <", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE <=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLike(String value) {
            addCriterion("CREATEOR_CODE like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotLike(String value) {
            addCriterion("CREATEOR_CODE not like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIn(List<String> values) {
            addCriterion("CREATEOR_CODE in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotIn(List<String> values) {
            addCriterion("CREATEOR_CODE not in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE not between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNull() {
            addCriterion("REFRESH_DATE is null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNotNull() {
            addCriterion("REFRESH_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateEqualTo(Date value) {
            addCriterion("REFRESH_DATE =", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotEqualTo(Date value) {
            addCriterion("REFRESH_DATE <>", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThan(Date value) {
            addCriterion("REFRESH_DATE >", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE >=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThan(Date value) {
            addCriterion("REFRESH_DATE <", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE <=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIn(List<Date> values) {
            addCriterion("REFRESH_DATE in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotIn(List<Date> values) {
            addCriterion("REFRESH_DATE not in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE not between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}