package com.unis.inspectionresult.server.example;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class RectificationFeedbackDetailedExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public RectificationFeedbackDetailedExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIDIsNull() {
            addCriterion("T_ZGFKDMX.ID is null");
            return (Criteria) this;
        }

        public Criteria andIDIsNotNull() {
            addCriterion("T_ZGFKDMX.ID is not null");
            return (Criteria) this;
        }

        public Criteria andIDEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.ID =", value, "ID");
            return (Criteria) this;
        }

        public Criteria andIDNotEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.ID <>", value, "ID");
            return (Criteria) this;
        }

        public Criteria andIDGreaterThan(BigDecimal value) {
            addCriterion("T_ZGFKDMX.ID >", value, "ID");
            return (Criteria) this;
        }

        public Criteria andIDGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.ID >=", value, "ID");
            return (Criteria) this;
        }

        public Criteria andIDLessThan(BigDecimal value) {
            addCriterion("T_ZGFKDMX.ID <", value, "ID");
            return (Criteria) this;
        }

        public Criteria andIDLessThanOrEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.ID <=", value, "ID");
            return (Criteria) this;
        }

        public Criteria andIDIn(List<BigDecimal> values) {
            addCriterion("T_ZGFKDMX.ID in", values, "ID");
            return (Criteria) this;
        }

        public Criteria andIDNotIn(List<BigDecimal> values) {
            addCriterion("T_ZGFKDMX.ID not in", values, "ID");
            return (Criteria) this;
        }

        public Criteria andIDBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("T_ZGFKDMX.ID between", value1, value2, "ID");
            return (Criteria) this;
        }

        public Criteria andIDNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("T_ZGFKDMX.ID not between", value1, value2, "ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDIsNull() {
            addCriterion("T_ZGFKDMX.FKD_ID is null");
            return (Criteria) this;
        }

        public Criteria andFKD_IDIsNotNull() {
            addCriterion("T_ZGFKDMX.FKD_ID is not null");
            return (Criteria) this;
        }

        public Criteria andFKD_IDEqualTo(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID =", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotEqualTo(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID <>", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDGreaterThan(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID >", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID >=", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDLessThan(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID <", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID <=", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDLike(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID like", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotLike(String value) {
            addCriterion("T_ZGFKDMX.FKD_ID not like", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDIn(List<String> values) {
            addCriterion("T_ZGFKDMX.FKD_ID in", values, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotIn(List<String> values) {
            addCriterion("T_ZGFKDMX.FKD_ID not in", values, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.FKD_ID between", value1, value2, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.FKD_ID not between", value1, value2, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andZGCSXIsNull() {
            addCriterion("T_ZGFKDMX.ZGCSX is null");
            return (Criteria) this;
        }

        public Criteria andZGCSXIsNotNull() {
            addCriterion("T_ZGFKDMX.ZGCSX is not null");
            return (Criteria) this;
        }

        public Criteria andZGCSXEqualTo(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX =", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXNotEqualTo(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX <>", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXGreaterThan(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX >", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX >=", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXLessThan(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX <", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX <=", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXLike(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX like", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXNotLike(String value) {
            addCriterion("T_ZGFKDMX.ZGCSX not like", value, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXIn(List<String> values) {
            addCriterion("T_ZGFKDMX.ZGCSX in", values, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXNotIn(List<String> values) {
            addCriterion("T_ZGFKDMX.ZGCSX not in", values, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.ZGCSX between", value1, value2, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andZGCSXNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.ZGCSX not between", value1, value2, "ZGCSX");
            return (Criteria) this;
        }

        public Criteria andSTATUSIsNull() {
            addCriterion("T_ZGFKDMX.`STATUS` is null");
            return (Criteria) this;
        }

        public Criteria andSTATUSIsNotNull() {
            addCriterion("T_ZGFKDMX.`STATUS` is not null");
            return (Criteria) this;
        }

        public Criteria andSTATUSEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.`STATUS` =", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSNotEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.`STATUS` <>", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSGreaterThan(BigDecimal value) {
            addCriterion("T_ZGFKDMX.`STATUS` >", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.`STATUS` >=", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSLessThan(BigDecimal value) {
            addCriterion("T_ZGFKDMX.`STATUS` <", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSLessThanOrEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKDMX.`STATUS` <=", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSIn(List<BigDecimal> values) {
            addCriterion("T_ZGFKDMX.`STATUS` in", values, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSNotIn(List<BigDecimal> values) {
            addCriterion("T_ZGFKDMX.`STATUS` not in", values, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("T_ZGFKDMX.`STATUS` between", value1, value2, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("T_ZGFKDMX.`STATUS` not between", value1, value2, "STATUS");
            return (Criteria) this;
        }

        public Criteria andCREATEORIsNull() {
            addCriterion("T_ZGFKDMX.CREATEOR is null");
            return (Criteria) this;
        }

        public Criteria andCREATEORIsNotNull() {
            addCriterion("T_ZGFKDMX.CREATEOR is not null");
            return (Criteria) this;
        }

        public Criteria andCREATEOREqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR =", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotEqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR <>", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORGreaterThan(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR >", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR >=", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORLessThan(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR <", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR <=", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORLike(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR like", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotLike(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR not like", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORIn(List<String> values) {
            addCriterion("T_ZGFKDMX.CREATEOR in", values, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotIn(List<String> values) {
            addCriterion("T_ZGFKDMX.CREATEOR not in", values, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.CREATEOR between", value1, value2, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.CREATEOR not between", value1, value2, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEIsNull() {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEIsNotNull() {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEEqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE =", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotEqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE <>", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEGreaterThan(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE >", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE >=", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODELessThan(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE <", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODELessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE <=", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODELike(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE like", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotLike(String value) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE not like", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEIn(List<String> values) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE in", values, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotIn(List<String> values) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE not in", values, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE between", value1, value2, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.CREATEOR_CODE not between", value1, value2, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEIsNull() {
            addCriterion("T_ZGFKDMX.CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEIsNotNull() {
            addCriterion("T_ZGFKDMX.CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.CREATE_DATE =", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATENotEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.CREATE_DATE <>", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEGreaterThan(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.CREATE_DATE >", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.CREATE_DATE >=", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATELessThan(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.CREATE_DATE <", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATELessThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.CREATE_DATE <=", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKDMX.CREATE_DATE in", values, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATENotIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKDMX.CREATE_DATE not in", values, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKDMX.CREATE_DATE between", value1, value2, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATENotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKDMX.CREATE_DATE not between", value1, value2, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESHERIsNull() {
            addCriterion("T_ZGFKDMX.REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andREFRESHERIsNotNull() {
            addCriterion("T_ZGFKDMX.REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andREFRESHEREqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER =", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER <>", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERGreaterThan(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER >", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER >=", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERLessThan(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER <", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER <=", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERLike(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER like", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotLike(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER not like", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERIn(List<String> values) {
            addCriterion("T_ZGFKDMX.REFRESHER in", values, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotIn(List<String> values) {
            addCriterion("T_ZGFKDMX.REFRESHER not in", values, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.REFRESHER between", value1, value2, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.REFRESHER not between", value1, value2, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEIsNull() {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEIsNotNull() {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE =", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE <>", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEGreaterThan(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE >", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE >=", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODELessThan(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE <", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODELessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE <=", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODELike(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE like", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotLike(String value) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE not like", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEIn(List<String> values) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE in", values, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotIn(List<String> values) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE not in", values, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE between", value1, value2, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.REFRESHER_CODE not between", value1, value2, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEIsNull() {
            addCriterion("T_ZGFKDMX.REFRESH_DATE is null");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEIsNotNull() {
            addCriterion("T_ZGFKDMX.REFRESH_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE =", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATENotEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE <>", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEGreaterThan(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE >", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE >=", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATELessThan(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE <", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATELessThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE <=", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE in", values, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATENotIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE not in", values, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE between", value1, value2, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATENotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKDMX.REFRESH_DATE not between", value1, value2, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREMARKIsNull() {
            addCriterion("T_ZGFKDMX.REMARK is null");
            return (Criteria) this;
        }

        public Criteria andREMARKIsNotNull() {
            addCriterion("T_ZGFKDMX.REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andREMARKEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REMARK =", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REMARK <>", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKGreaterThan(String value) {
            addCriterion("T_ZGFKDMX.REMARK >", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REMARK >=", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKLessThan(String value) {
            addCriterion("T_ZGFKDMX.REMARK <", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKDMX.REMARK <=", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKLike(String value) {
            addCriterion("T_ZGFKDMX.REMARK like", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotLike(String value) {
            addCriterion("T_ZGFKDMX.REMARK not like", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKIn(List<String> values) {
            addCriterion("T_ZGFKDMX.REMARK in", values, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotIn(List<String> values) {
            addCriterion("T_ZGFKDMX.REMARK not in", values, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.REMARK between", value1, value2, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKDMX.REMARK not between", value1, value2, "REMARK");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}