package com.unis.inspectionresult.server.example;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class RectificationFeedbackExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public RectificationFeedbackExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andFKD_IDIsNull() {
            addCriterion("T_ZGFKD.FKD_ID is null");
            return (Criteria) this;
        }

        public Criteria andFKD_IDIsNotNull() {
            addCriterion("T_ZGFKD.FKD_ID is not null");
            return (Criteria) this;
        }

        public Criteria andFKD_IDEqualTo(String value) {
            addCriterion("T_ZGFKD.FKD_ID =", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotEqualTo(String value) {
            addCriterion("T_ZGFKD.FKD_ID <>", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDGreaterThan(String value) {
            addCriterion("T_ZGFKD.FKD_ID >", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.FKD_ID >=", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDLessThan(String value) {
            addCriterion("T_ZGFKD.FKD_ID <", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.FKD_ID <=", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDLike(String value) {
            addCriterion("T_ZGFKD.FKD_ID like", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotLike(String value) {
            addCriterion("T_ZGFKD.FKD_ID not like", value, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDIn(List<String> values) {
            addCriterion("T_ZGFKD.FKD_ID in", values, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotIn(List<String> values) {
            addCriterion("T_ZGFKD.FKD_ID not in", values, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.FKD_ID between", value1, value2, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andFKD_IDNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.FKD_ID not between", value1, value2, "FKD_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDIsNull() {
            addCriterion("T_ZGFKD.JG_ID is null");
            return (Criteria) this;
        }

        public Criteria andJG_IDIsNotNull() {
            addCriterion("T_ZGFKD.JG_ID is not null");
            return (Criteria) this;
        }

        public Criteria andJG_IDEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_ID =", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDNotEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_ID <>", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDGreaterThan(String value) {
            addCriterion("T_ZGFKD.JG_ID >", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_ID >=", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDLessThan(String value) {
            addCriterion("T_ZGFKD.JG_ID <", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_ID <=", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDLike(String value) {
            addCriterion("T_ZGFKD.JG_ID like", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDNotLike(String value) {
            addCriterion("T_ZGFKD.JG_ID not like", value, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_ID in", values, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDNotIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_ID not in", values, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_ID between", value1, value2, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andJG_IDNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_ID not between", value1, value2, "JG_ID");
            return (Criteria) this;
        }

        public Criteria andLSLZIsNull() {
            addCriterion("T_ZGFKD.LSLZ is null");
            return (Criteria) this;
        }

        public Criteria andLSLZIsNotNull() {
            addCriterion("T_ZGFKD.LSLZ is not null");
            return (Criteria) this;
        }

        public Criteria andLSLZEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZ =", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZNotEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZ <>", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZGreaterThan(String value) {
            addCriterion("T_ZGFKD.LSLZ >", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZ >=", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZLessThan(String value) {
            addCriterion("T_ZGFKD.LSLZ <", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZ <=", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZLike(String value) {
            addCriterion("T_ZGFKD.LSLZ like", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZNotLike(String value) {
            addCriterion("T_ZGFKD.LSLZ not like", value, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZIn(List<String> values) {
            addCriterion("T_ZGFKD.LSLZ in", values, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZNotIn(List<String> values) {
            addCriterion("T_ZGFKD.LSLZ not in", values, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.LSLZ between", value1, value2, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.LSLZ not between", value1, value2, "LSLZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZIsNull() {
            addCriterion("T_ZGFKD.LSLZZ is null");
            return (Criteria) this;
        }

        public Criteria andLSLZZIsNotNull() {
            addCriterion("T_ZGFKD.LSLZZ is not null");
            return (Criteria) this;
        }

        public Criteria andLSLZZEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZZ =", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZNotEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZZ <>", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZGreaterThan(String value) {
            addCriterion("T_ZGFKD.LSLZZ >", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZZ >=", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZLessThan(String value) {
            addCriterion("T_ZGFKD.LSLZZ <", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLZZ <=", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZLike(String value) {
            addCriterion("T_ZGFKD.LSLZZ like", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZNotLike(String value) {
            addCriterion("T_ZGFKD.LSLZZ not like", value, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZIn(List<String> values) {
            addCriterion("T_ZGFKD.LSLZZ in", values, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZNotIn(List<String> values) {
            addCriterion("T_ZGFKD.LSLZZ not in", values, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.LSLZZ between", value1, value2, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLZZNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.LSLZZ not between", value1, value2, "LSLZZ");
            return (Criteria) this;
        }

        public Criteria andLSLHIsNull() {
            addCriterion("T_ZGFKD.LSLH is null");
            return (Criteria) this;
        }

        public Criteria andLSLHIsNotNull() {
            addCriterion("T_ZGFKD.LSLH is not null");
            return (Criteria) this;
        }

        public Criteria andLSLHEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLH =", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHNotEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLH <>", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHGreaterThan(String value) {
            addCriterion("T_ZGFKD.LSLH >", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLH >=", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHLessThan(String value) {
            addCriterion("T_ZGFKD.LSLH <", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.LSLH <=", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHLike(String value) {
            addCriterion("T_ZGFKD.LSLH like", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHNotLike(String value) {
            addCriterion("T_ZGFKD.LSLH not like", value, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHIn(List<String> values) {
            addCriterion("T_ZGFKD.LSLH in", values, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHNotIn(List<String> values) {
            addCriterion("T_ZGFKD.LSLH not in", values, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.LSLH between", value1, value2, "LSLH");
            return (Criteria) this;
        }

        public Criteria andLSLHNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.LSLH not between", value1, value2, "LSLH");
            return (Criteria) this;
        }

        public Criteria andZGCSIsNull() {
            addCriterion("T_ZGFKD.ZGCS is null");
            return (Criteria) this;
        }

        public Criteria andZGCSIsNotNull() {
            addCriterion("T_ZGFKD.ZGCS is not null");
            return (Criteria) this;
        }

        public Criteria andZGCSEqualTo(String value) {
            addCriterion("T_ZGFKD.ZGCS =", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSNotEqualTo(String value) {
            addCriterion("T_ZGFKD.ZGCS <>", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSGreaterThan(String value) {
            addCriterion("T_ZGFKD.ZGCS >", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.ZGCS >=", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSLessThan(String value) {
            addCriterion("T_ZGFKD.ZGCS <", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.ZGCS <=", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSLike(String value) {
            addCriterion("T_ZGFKD.ZGCS like", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSNotLike(String value) {
            addCriterion("T_ZGFKD.ZGCS not like", value, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSIn(List<String> values) {
            addCriterion("T_ZGFKD.ZGCS in", values, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSNotIn(List<String> values) {
            addCriterion("T_ZGFKD.ZGCS not in", values, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.ZGCS between", value1, value2, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andZGCSNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.ZGCS not between", value1, value2, "ZGCS");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRIsNull() {
            addCriterion("T_ZGFKD.CCQYFZR is null");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRIsNotNull() {
            addCriterion("T_ZGFKD.CCQYFZR is not null");
            return (Criteria) this;
        }

        public Criteria andCCQYFZREqualTo(String value) {
            addCriterion("T_ZGFKD.CCQYFZR =", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRNotEqualTo(String value) {
            addCriterion("T_ZGFKD.CCQYFZR <>", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRGreaterThan(String value) {
            addCriterion("T_ZGFKD.CCQYFZR >", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.CCQYFZR >=", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRLessThan(String value) {
            addCriterion("T_ZGFKD.CCQYFZR <", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.CCQYFZR <=", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRLike(String value) {
            addCriterion("T_ZGFKD.CCQYFZR like", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRNotLike(String value) {
            addCriterion("T_ZGFKD.CCQYFZR not like", value, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRIn(List<String> values) {
            addCriterion("T_ZGFKD.CCQYFZR in", values, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRNotIn(List<String> values) {
            addCriterion("T_ZGFKD.CCQYFZR not in", values, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.CCQYFZR between", value1, value2, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andCCQYFZRNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.CCQYFZR not between", value1, value2, "CCQYFZR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRIsNull() {
            addCriterion("T_ZGFKD.JG_TJR is null");
            return (Criteria) this;
        }

        public Criteria andJG_TJRIsNotNull() {
            addCriterion("T_ZGFKD.JG_TJR is not null");
            return (Criteria) this;
        }

        public Criteria andJG_TJREqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJR =", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRNotEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJR <>", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRGreaterThan(String value) {
            addCriterion("T_ZGFKD.JG_TJR >", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJR >=", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRLessThan(String value) {
            addCriterion("T_ZGFKD.JG_TJR <", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJR <=", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRLike(String value) {
            addCriterion("T_ZGFKD.JG_TJR like", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRNotLike(String value) {
            addCriterion("T_ZGFKD.JG_TJR not like", value, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_TJR in", values, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRNotIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_TJR not in", values, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_TJR between", value1, value2, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_TJR not between", value1, value2, "JG_TJR");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHIsNull() {
            addCriterion("T_ZGFKD.JG_TJRBH is null");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHIsNotNull() {
            addCriterion("T_ZGFKD.JG_TJRBH is not null");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH =", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHNotEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH <>", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHGreaterThan(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH >", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH >=", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHLessThan(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH <", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH <=", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHLike(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH like", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHNotLike(String value) {
            addCriterion("T_ZGFKD.JG_TJRBH not like", value, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_TJRBH in", values, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHNotIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_TJRBH not in", values, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_TJRBH between", value1, value2, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJRBHNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_TJRBH not between", value1, value2, "JG_TJRBH");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJIsNull() {
            addCriterion("T_ZGFKD.JG_TJSJ is null");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJIsNotNull() {
            addCriterion("T_ZGFKD.JG_TJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ =", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJNotEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ <>", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJGreaterThan(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ >", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ >=", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJLessThan(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ <", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ <=", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJLike(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ like", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJNotLike(String value) {
            addCriterion("T_ZGFKD.JG_TJSJ not like", value, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_TJSJ in", values, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJNotIn(List<String> values) {
            addCriterion("T_ZGFKD.JG_TJSJ not in", values, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_TJSJ between", value1, value2, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andJG_TJSJNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.JG_TJSJ not between", value1, value2, "JG_TJSJ");
            return (Criteria) this;
        }

        public Criteria andSTATUSIsNull() {
            addCriterion("T_ZGFKD.`STATUS` is null");
            return (Criteria) this;
        }

        public Criteria andSTATUSIsNotNull() {
            addCriterion("T_ZGFKD.`STATUS` is not null");
            return (Criteria) this;
        }

        public Criteria andSTATUSEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKD.`STATUS` =", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSNotEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKD.`STATUS` <>", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSGreaterThan(BigDecimal value) {
            addCriterion("T_ZGFKD.`STATUS` >", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKD.`STATUS` >=", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSLessThan(BigDecimal value) {
            addCriterion("T_ZGFKD.`STATUS` <", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSLessThanOrEqualTo(BigDecimal value) {
            addCriterion("T_ZGFKD.`STATUS` <=", value, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSIn(List<BigDecimal> values) {
            addCriterion("T_ZGFKD.`STATUS` in", values, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSNotIn(List<BigDecimal> values) {
            addCriterion("T_ZGFKD.`STATUS` not in", values, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("T_ZGFKD.`STATUS` between", value1, value2, "STATUS");
            return (Criteria) this;
        }

        public Criteria andSTATUSNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("T_ZGFKD.`STATUS` not between", value1, value2, "STATUS");
            return (Criteria) this;
        }

        public Criteria andCREATEORIsNull() {
            addCriterion("T_ZGFKD.CREATEOR is null");
            return (Criteria) this;
        }

        public Criteria andCREATEORIsNotNull() {
            addCriterion("T_ZGFKD.CREATEOR is not null");
            return (Criteria) this;
        }

        public Criteria andCREATEOREqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR =", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotEqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR <>", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORGreaterThan(String value) {
            addCriterion("T_ZGFKD.CREATEOR >", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR >=", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORLessThan(String value) {
            addCriterion("T_ZGFKD.CREATEOR <", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR <=", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORLike(String value) {
            addCriterion("T_ZGFKD.CREATEOR like", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotLike(String value) {
            addCriterion("T_ZGFKD.CREATEOR not like", value, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORIn(List<String> values) {
            addCriterion("T_ZGFKD.CREATEOR in", values, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotIn(List<String> values) {
            addCriterion("T_ZGFKD.CREATEOR not in", values, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.CREATEOR between", value1, value2, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEORNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.CREATEOR not between", value1, value2, "CREATEOR");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEIsNull() {
            addCriterion("T_ZGFKD.CREATEOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEIsNotNull() {
            addCriterion("T_ZGFKD.CREATEOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEEqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE =", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotEqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE <>", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEGreaterThan(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE >", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE >=", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODELessThan(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE <", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODELessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE <=", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODELike(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE like", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotLike(String value) {
            addCriterion("T_ZGFKD.CREATEOR_CODE not like", value, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEIn(List<String> values) {
            addCriterion("T_ZGFKD.CREATEOR_CODE in", values, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotIn(List<String> values) {
            addCriterion("T_ZGFKD.CREATEOR_CODE not in", values, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODEBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.CREATEOR_CODE between", value1, value2, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATEOR_CODENotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.CREATEOR_CODE not between", value1, value2, "CREATEOR_CODE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEIsNull() {
            addCriterion("T_ZGFKD.CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEIsNotNull() {
            addCriterion("T_ZGFKD.CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.CREATE_DATE =", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATENotEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.CREATE_DATE <>", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEGreaterThan(LocalDateTime value) {
            addCriterion("T_ZGFKD.CREATE_DATE >", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.CREATE_DATE >=", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATELessThan(LocalDateTime value) {
            addCriterion("T_ZGFKD.CREATE_DATE <", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATELessThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.CREATE_DATE <=", value, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKD.CREATE_DATE in", values, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATENotIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKD.CREATE_DATE not in", values, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATEBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKD.CREATE_DATE between", value1, value2, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andCREATE_DATENotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKD.CREATE_DATE not between", value1, value2, "CREATE_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESHERIsNull() {
            addCriterion("T_ZGFKD.REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andREFRESHERIsNotNull() {
            addCriterion("T_ZGFKD.REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andREFRESHEREqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER =", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotEqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER <>", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERGreaterThan(String value) {
            addCriterion("T_ZGFKD.REFRESHER >", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER >=", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERLessThan(String value) {
            addCriterion("T_ZGFKD.REFRESHER <", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER <=", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERLike(String value) {
            addCriterion("T_ZGFKD.REFRESHER like", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotLike(String value) {
            addCriterion("T_ZGFKD.REFRESHER not like", value, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERIn(List<String> values) {
            addCriterion("T_ZGFKD.REFRESHER in", values, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotIn(List<String> values) {
            addCriterion("T_ZGFKD.REFRESHER not in", values, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.REFRESHER between", value1, value2, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHERNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.REFRESHER not between", value1, value2, "REFRESHER");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEIsNull() {
            addCriterion("T_ZGFKD.REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEIsNotNull() {
            addCriterion("T_ZGFKD.REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEEqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE =", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotEqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE <>", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEGreaterThan(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE >", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE >=", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODELessThan(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE <", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODELessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE <=", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODELike(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE like", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotLike(String value) {
            addCriterion("T_ZGFKD.REFRESHER_CODE not like", value, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEIn(List<String> values) {
            addCriterion("T_ZGFKD.REFRESHER_CODE in", values, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotIn(List<String> values) {
            addCriterion("T_ZGFKD.REFRESHER_CODE not in", values, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODEBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.REFRESHER_CODE between", value1, value2, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESHER_CODENotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.REFRESHER_CODE not between", value1, value2, "REFRESHER_CODE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEIsNull() {
            addCriterion("T_ZGFKD.REFRESH_DATE is null");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEIsNotNull() {
            addCriterion("T_ZGFKD.REFRESH_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.REFRESH_DATE =", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATENotEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.REFRESH_DATE <>", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEGreaterThan(LocalDateTime value) {
            addCriterion("T_ZGFKD.REFRESH_DATE >", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.REFRESH_DATE >=", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATELessThan(LocalDateTime value) {
            addCriterion("T_ZGFKD.REFRESH_DATE <", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATELessThanOrEqualTo(LocalDateTime value) {
            addCriterion("T_ZGFKD.REFRESH_DATE <=", value, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKD.REFRESH_DATE in", values, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATENotIn(List<LocalDateTime> values) {
            addCriterion("T_ZGFKD.REFRESH_DATE not in", values, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATEBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKD.REFRESH_DATE between", value1, value2, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREFRESH_DATENotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("T_ZGFKD.REFRESH_DATE not between", value1, value2, "REFRESH_DATE");
            return (Criteria) this;
        }

        public Criteria andREMARKIsNull() {
            addCriterion("T_ZGFKD.REMARK is null");
            return (Criteria) this;
        }

        public Criteria andREMARKIsNotNull() {
            addCriterion("T_ZGFKD.REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andREMARKEqualTo(String value) {
            addCriterion("T_ZGFKD.REMARK =", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotEqualTo(String value) {
            addCriterion("T_ZGFKD.REMARK <>", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKGreaterThan(String value) {
            addCriterion("T_ZGFKD.REMARK >", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKGreaterThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.REMARK >=", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKLessThan(String value) {
            addCriterion("T_ZGFKD.REMARK <", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKLessThanOrEqualTo(String value) {
            addCriterion("T_ZGFKD.REMARK <=", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKLike(String value) {
            addCriterion("T_ZGFKD.REMARK like", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotLike(String value) {
            addCriterion("T_ZGFKD.REMARK not like", value, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKIn(List<String> values) {
            addCriterion("T_ZGFKD.REMARK in", values, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotIn(List<String> values) {
            addCriterion("T_ZGFKD.REMARK not in", values, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.REMARK between", value1, value2, "REMARK");
            return (Criteria) this;
        }

        public Criteria andREMARKNotBetween(String value1, String value2) {
            addCriterion("T_ZGFKD.REMARK not between", value1, value2, "REMARK");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}