package com.unis.inspectionresult.server.example;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class TBdxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TBdxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andBdIdIsNull() {
            addCriterion("BD_ID is null");
            return (Criteria) this;
        }

        public Criteria andBdIdIsNotNull() {
            addCriterion("BD_ID is not null");
            return (Criteria) this;
        }

        public Criteria andBdIdEqualTo(String value) {
            addCriterion("BD_ID =", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdNotEqualTo(String value) {
            addCriterion("BD_ID <>", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdGreaterThan(String value) {
            addCriterion("BD_ID >", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdGreaterThanOrEqualTo(String value) {
            addCriterion("BD_ID >=", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdLessThan(String value) {
            addCriterion("BD_ID <", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdLessThanOrEqualTo(String value) {
            addCriterion("BD_ID <=", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdLike(String value) {
            addCriterion("BD_ID like", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdNotLike(String value) {
            addCriterion("BD_ID not like", value, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdIn(List<String> values) {
            addCriterion("BD_ID in", values, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdNotIn(List<String> values) {
            addCriterion("BD_ID not in", values, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdBetween(String value1, String value2) {
            addCriterion("BD_ID between", value1, value2, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdIdNotBetween(String value1, String value2) {
            addCriterion("BD_ID not between", value1, value2, "bdId");
            return (Criteria) this;
        }

        public Criteria andBdNameIsNull() {
            addCriterion("BD_NAME is null");
            return (Criteria) this;
        }

        public Criteria andBdNameIsNotNull() {
            addCriterion("BD_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andBdNameEqualTo(String value) {
            addCriterion("BD_NAME =", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameNotEqualTo(String value) {
            addCriterion("BD_NAME <>", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameGreaterThan(String value) {
            addCriterion("BD_NAME >", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameGreaterThanOrEqualTo(String value) {
            addCriterion("BD_NAME >=", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameLessThan(String value) {
            addCriterion("BD_NAME <", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameLessThanOrEqualTo(String value) {
            addCriterion("BD_NAME <=", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameLike(String value) {
            addCriterion("BD_NAME like", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameNotLike(String value) {
            addCriterion("BD_NAME not like", value, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameIn(List<String> values) {
            addCriterion("BD_NAME in", values, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameNotIn(List<String> values) {
            addCriterion("BD_NAME not in", values, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameBetween(String value1, String value2) {
            addCriterion("BD_NAME between", value1, value2, "bdName");
            return (Criteria) this;
        }

        public Criteria andBdNameNotBetween(String value1, String value2) {
            addCriterion("BD_NAME not between", value1, value2, "bdName");
            return (Criteria) this;
        }

        public Criteria andDwDmIsNull() {
            addCriterion("DW_DM is null");
            return (Criteria) this;
        }

        public Criteria andDwDmIsNotNull() {
            addCriterion("DW_DM is not null");
            return (Criteria) this;
        }

        public Criteria andDwDmEqualTo(String value) {
            addCriterion("DW_DM =", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmNotEqualTo(String value) {
            addCriterion("DW_DM <>", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmGreaterThan(String value) {
            addCriterion("DW_DM >", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmGreaterThanOrEqualTo(String value) {
            addCriterion("DW_DM >=", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmLessThan(String value) {
            addCriterion("DW_DM <", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmLessThanOrEqualTo(String value) {
            addCriterion("DW_DM <=", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmLike(String value) {
            addCriterion("DW_DM like", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmNotLike(String value) {
            addCriterion("DW_DM not like", value, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmIn(List<String> values) {
            addCriterion("DW_DM in", values, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmNotIn(List<String> values) {
            addCriterion("DW_DM not in", values, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmBetween(String value1, String value2) {
            addCriterion("DW_DM between", value1, value2, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwDmNotBetween(String value1, String value2) {
            addCriterion("DW_DM not between", value1, value2, "dwDm");
            return (Criteria) this;
        }

        public Criteria andDwMcIsNull() {
            addCriterion("DW_MC is null");
            return (Criteria) this;
        }

        public Criteria andDwMcIsNotNull() {
            addCriterion("DW_MC is not null");
            return (Criteria) this;
        }

        public Criteria andDwMcEqualTo(String value) {
            addCriterion("DW_MC =", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcNotEqualTo(String value) {
            addCriterion("DW_MC <>", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcGreaterThan(String value) {
            addCriterion("DW_MC >", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcGreaterThanOrEqualTo(String value) {
            addCriterion("DW_MC >=", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcLessThan(String value) {
            addCriterion("DW_MC <", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcLessThanOrEqualTo(String value) {
            addCriterion("DW_MC <=", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcLike(String value) {
            addCriterion("DW_MC like", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcNotLike(String value) {
            addCriterion("DW_MC not like", value, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcIn(List<String> values) {
            addCriterion("DW_MC in", values, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcNotIn(List<String> values) {
            addCriterion("DW_MC not in", values, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcBetween(String value1, String value2) {
            addCriterion("DW_MC between", value1, value2, "dwMc");
            return (Criteria) this;
        }

        public Criteria andDwMcNotBetween(String value1, String value2) {
            addCriterion("DW_MC not between", value1, value2, "dwMc");
            return (Criteria) this;
        }

        public Criteria andZsxfIsNull() {
            addCriterion("ZSXF is null");
            return (Criteria) this;
        }

        public Criteria andZsxfIsNotNull() {
            addCriterion("ZSXF is not null");
            return (Criteria) this;
        }

        public Criteria andZsxfEqualTo(String value) {
            addCriterion("ZSXF =", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfNotEqualTo(String value) {
            addCriterion("ZSXF <>", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfGreaterThan(String value) {
            addCriterion("ZSXF >", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfGreaterThanOrEqualTo(String value) {
            addCriterion("ZSXF >=", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfLessThan(String value) {
            addCriterion("ZSXF <", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfLessThanOrEqualTo(String value) {
            addCriterion("ZSXF <=", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfLike(String value) {
            addCriterion("ZSXF like", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfNotLike(String value) {
            addCriterion("ZSXF not like", value, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfIn(List<String> values) {
            addCriterion("ZSXF in", values, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfNotIn(List<String> values) {
            addCriterion("ZSXF not in", values, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfBetween(String value1, String value2) {
            addCriterion("ZSXF between", value1, value2, "zsxf");
            return (Criteria) this;
        }

        public Criteria andZsxfNotBetween(String value1, String value2) {
            addCriterion("ZSXF not between", value1, value2, "zsxf");
            return (Criteria) this;
        }

        public Criteria andCfWchIsNull() {
            addCriterion("CF_WCH is null");
            return (Criteria) this;
        }

        public Criteria andCfWchIsNotNull() {
            addCriterion("CF_WCH is not null");
            return (Criteria) this;
        }

        public Criteria andCfWchEqualTo(String value) {
            addCriterion("CF_WCH =", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchNotEqualTo(String value) {
            addCriterion("CF_WCH <>", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchGreaterThan(String value) {
            addCriterion("CF_WCH >", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchGreaterThanOrEqualTo(String value) {
            addCriterion("CF_WCH >=", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchLessThan(String value) {
            addCriterion("CF_WCH <", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchLessThanOrEqualTo(String value) {
            addCriterion("CF_WCH <=", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchLike(String value) {
            addCriterion("CF_WCH like", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchNotLike(String value) {
            addCriterion("CF_WCH not like", value, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchIn(List<String> values) {
            addCriterion("CF_WCH in", values, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchNotIn(List<String> values) {
            addCriterion("CF_WCH not in", values, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchBetween(String value1, String value2) {
            addCriterion("CF_WCH between", value1, value2, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWchNotBetween(String value1, String value2) {
            addCriterion("CF_WCH not between", value1, value2, "cfWch");
            return (Criteria) this;
        }

        public Criteria andCfWbzIsNull() {
            addCriterion("CF_WBZ is null");
            return (Criteria) this;
        }

        public Criteria andCfWbzIsNotNull() {
            addCriterion("CF_WBZ is not null");
            return (Criteria) this;
        }

        public Criteria andCfWbzEqualTo(String value) {
            addCriterion("CF_WBZ =", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzNotEqualTo(String value) {
            addCriterion("CF_WBZ <>", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzGreaterThan(String value) {
            addCriterion("CF_WBZ >", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzGreaterThanOrEqualTo(String value) {
            addCriterion("CF_WBZ >=", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzLessThan(String value) {
            addCriterion("CF_WBZ <", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzLessThanOrEqualTo(String value) {
            addCriterion("CF_WBZ <=", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzLike(String value) {
            addCriterion("CF_WBZ like", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzNotLike(String value) {
            addCriterion("CF_WBZ not like", value, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzIn(List<String> values) {
            addCriterion("CF_WBZ in", values, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzNotIn(List<String> values) {
            addCriterion("CF_WBZ not in", values, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzBetween(String value1, String value2) {
            addCriterion("CF_WBZ between", value1, value2, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWbzNotBetween(String value1, String value2) {
            addCriterion("CF_WBZ not between", value1, value2, "cfWbz");
            return (Criteria) this;
        }

        public Criteria andCfWsqIsNull() {
            addCriterion("CF_WSQ is null");
            return (Criteria) this;
        }

        public Criteria andCfWsqIsNotNull() {
            addCriterion("CF_WSQ is not null");
            return (Criteria) this;
        }

        public Criteria andCfWsqEqualTo(String value) {
            addCriterion("CF_WSQ =", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqNotEqualTo(String value) {
            addCriterion("CF_WSQ <>", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqGreaterThan(String value) {
            addCriterion("CF_WSQ >", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqGreaterThanOrEqualTo(String value) {
            addCriterion("CF_WSQ >=", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqLessThan(String value) {
            addCriterion("CF_WSQ <", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqLessThanOrEqualTo(String value) {
            addCriterion("CF_WSQ <=", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqLike(String value) {
            addCriterion("CF_WSQ like", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqNotLike(String value) {
            addCriterion("CF_WSQ not like", value, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqIn(List<String> values) {
            addCriterion("CF_WSQ in", values, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqNotIn(List<String> values) {
            addCriterion("CF_WSQ not in", values, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqBetween(String value1, String value2) {
            addCriterion("CF_WSQ between", value1, value2, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsqNotBetween(String value1, String value2) {
            addCriterion("CF_WSQ not between", value1, value2, "cfWsq");
            return (Criteria) this;
        }

        public Criteria andCfWsgIsNull() {
            addCriterion("CF_WSG is null");
            return (Criteria) this;
        }

        public Criteria andCfWsgIsNotNull() {
            addCriterion("CF_WSG is not null");
            return (Criteria) this;
        }

        public Criteria andCfWsgEqualTo(String value) {
            addCriterion("CF_WSG =", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgNotEqualTo(String value) {
            addCriterion("CF_WSG <>", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgGreaterThan(String value) {
            addCriterion("CF_WSG >", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgGreaterThanOrEqualTo(String value) {
            addCriterion("CF_WSG >=", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgLessThan(String value) {
            addCriterion("CF_WSG <", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgLessThanOrEqualTo(String value) {
            addCriterion("CF_WSG <=", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgLike(String value) {
            addCriterion("CF_WSG like", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgNotLike(String value) {
            addCriterion("CF_WSG not like", value, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgIn(List<String> values) {
            addCriterion("CF_WSG in", values, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgNotIn(List<String> values) {
            addCriterion("CF_WSG not in", values, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgBetween(String value1, String value2) {
            addCriterion("CF_WSG between", value1, value2, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCfWsgNotBetween(String value1, String value2) {
            addCriterion("CF_WSG not between", value1, value2, "cfWsg");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkIsNull() {
            addCriterion("CCGLZDJYGLZPXQK is null");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkIsNotNull() {
            addCriterion("CCGLZDJYGLZPXQK is not null");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkEqualTo(String value) {
            addCriterion("CCGLZDJYGLZPXQK =", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkNotEqualTo(String value) {
            addCriterion("CCGLZDJYGLZPXQK <>", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkGreaterThan(String value) {
            addCriterion("CCGLZDJYGLZPXQK >", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkGreaterThanOrEqualTo(String value) {
            addCriterion("CCGLZDJYGLZPXQK >=", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkLessThan(String value) {
            addCriterion("CCGLZDJYGLZPXQK <", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkLessThanOrEqualTo(String value) {
            addCriterion("CCGLZDJYGLZPXQK <=", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkLike(String value) {
            addCriterion("CCGLZDJYGLZPXQK like", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkNotLike(String value) {
            addCriterion("CCGLZDJYGLZPXQK not like", value, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkIn(List<String> values) {
            addCriterion("CCGLZDJYGLZPXQK in", values, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkNotIn(List<String> values) {
            addCriterion("CCGLZDJYGLZPXQK not in", values, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkBetween(String value1, String value2) {
            addCriterion("CCGLZDJYGLZPXQK between", value1, value2, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdjyglzpxqkNotBetween(String value1, String value2) {
            addCriterion("CCGLZDJYGLZPXQK not between", value1, value2, "ccglzdjyglzpxqk");
            return (Criteria) this;
        }

        public Criteria andCcglzdIsNull() {
            addCriterion("CCGLZD is null");
            return (Criteria) this;
        }

        public Criteria andCcglzdIsNotNull() {
            addCriterion("CCGLZD is not null");
            return (Criteria) this;
        }

        public Criteria andCcglzdEqualTo(String value) {
            addCriterion("CCGLZD =", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdNotEqualTo(String value) {
            addCriterion("CCGLZD <>", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdGreaterThan(String value) {
            addCriterion("CCGLZD >", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdGreaterThanOrEqualTo(String value) {
            addCriterion("CCGLZD >=", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdLessThan(String value) {
            addCriterion("CCGLZD <", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdLessThanOrEqualTo(String value) {
            addCriterion("CCGLZD <=", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdLike(String value) {
            addCriterion("CCGLZD like", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdNotLike(String value) {
            addCriterion("CCGLZD not like", value, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdIn(List<String> values) {
            addCriterion("CCGLZD in", values, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdNotIn(List<String> values) {
            addCriterion("CCGLZD not in", values, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdBetween(String value1, String value2) {
            addCriterion("CCGLZD between", value1, value2, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andCcglzdNotBetween(String value1, String value2) {
            addCriterion("CCGLZD not between", value1, value2, "ccglzd");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkIsNull() {
            addCriterion("YGLZPXQK is null");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkIsNotNull() {
            addCriterion("YGLZPXQK is not null");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkEqualTo(String value) {
            addCriterion("YGLZPXQK =", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkNotEqualTo(String value) {
            addCriterion("YGLZPXQK <>", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkGreaterThan(String value) {
            addCriterion("YGLZPXQK >", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkGreaterThanOrEqualTo(String value) {
            addCriterion("YGLZPXQK >=", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkLessThan(String value) {
            addCriterion("YGLZPXQK <", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkLessThanOrEqualTo(String value) {
            addCriterion("YGLZPXQK <=", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkLike(String value) {
            addCriterion("YGLZPXQK like", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkNotLike(String value) {
            addCriterion("YGLZPXQK not like", value, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkIn(List<String> values) {
            addCriterion("YGLZPXQK in", values, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkNotIn(List<String> values) {
            addCriterion("YGLZPXQK not in", values, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkBetween(String value1, String value2) {
            addCriterion("YGLZPXQK between", value1, value2, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andYglzpxqkNotBetween(String value1, String value2) {
            addCriterion("YGLZPXQK not between", value1, value2, "yglzpxqk");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglIsNull() {
            addCriterion("AQSCZDJCLHXYJGL is null");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglIsNotNull() {
            addCriterion("AQSCZDJCLHXYJGL is not null");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglEqualTo(String value) {
            addCriterion("AQSCZDJCLHXYJGL =", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglNotEqualTo(String value) {
            addCriterion("AQSCZDJCLHXYJGL <>", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglGreaterThan(String value) {
            addCriterion("AQSCZDJCLHXYJGL >", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglGreaterThanOrEqualTo(String value) {
            addCriterion("AQSCZDJCLHXYJGL >=", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglLessThan(String value) {
            addCriterion("AQSCZDJCLHXYJGL <", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglLessThanOrEqualTo(String value) {
            addCriterion("AQSCZDJCLHXYJGL <=", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglLike(String value) {
            addCriterion("AQSCZDJCLHXYJGL like", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglNotLike(String value) {
            addCriterion("AQSCZDJCLHXYJGL not like", value, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglIn(List<String> values) {
            addCriterion("AQSCZDJCLHXYJGL in", values, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglNotIn(List<String> values) {
            addCriterion("AQSCZDJCLHXYJGL not in", values, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglBetween(String value1, String value2) {
            addCriterion("AQSCZDJCLHXYJGL between", value1, value2, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andAqsczdjclhxyjglNotBetween(String value1, String value2) {
            addCriterion("AQSCZDJCLHXYJGL not between", value1, value2, "aqsczdjclhxyjgl");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkIsNull() {
            addCriterion("CFZGLSQK is null");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkIsNotNull() {
            addCriterion("CFZGLSQK is not null");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkEqualTo(String value) {
            addCriterion("CFZGLSQK =", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkNotEqualTo(String value) {
            addCriterion("CFZGLSQK <>", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkGreaterThan(String value) {
            addCriterion("CFZGLSQK >", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkGreaterThanOrEqualTo(String value) {
            addCriterion("CFZGLSQK >=", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkLessThan(String value) {
            addCriterion("CFZGLSQK <", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkLessThanOrEqualTo(String value) {
            addCriterion("CFZGLSQK <=", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkLike(String value) {
            addCriterion("CFZGLSQK like", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkNotLike(String value) {
            addCriterion("CFZGLSQK not like", value, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkIn(List<String> values) {
            addCriterion("CFZGLSQK in", values, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkNotIn(List<String> values) {
            addCriterion("CFZGLSQK not in", values, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkBetween(String value1, String value2) {
            addCriterion("CFZGLSQK between", value1, value2, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andCfzglsqkNotBetween(String value1, String value2) {
            addCriterion("CFZGLSQK not between", value1, value2, "cfzglsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkIsNull() {
            addCriterion("FYFXCSLSQK is null");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkIsNotNull() {
            addCriterion("FYFXCSLSQK is not null");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkEqualTo(String value) {
            addCriterion("FYFXCSLSQK =", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkNotEqualTo(String value) {
            addCriterion("FYFXCSLSQK <>", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkGreaterThan(String value) {
            addCriterion("FYFXCSLSQK >", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkGreaterThanOrEqualTo(String value) {
            addCriterion("FYFXCSLSQK >=", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkLessThan(String value) {
            addCriterion("FYFXCSLSQK <", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkLessThanOrEqualTo(String value) {
            addCriterion("FYFXCSLSQK <=", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkLike(String value) {
            addCriterion("FYFXCSLSQK like", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkNotLike(String value) {
            addCriterion("FYFXCSLSQK not like", value, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkIn(List<String> values) {
            addCriterion("FYFXCSLSQK in", values, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkNotIn(List<String> values) {
            addCriterion("FYFXCSLSQK not in", values, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkBetween(String value1, String value2) {
            addCriterion("FYFXCSLSQK between", value1, value2, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andFyfxcslsqkNotBetween(String value1, String value2) {
            addCriterion("FYFXCSLSQK not between", value1, value2, "fyfxcslsqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkIsNull() {
            addCriterion("AQCLQK is null");
            return (Criteria) this;
        }

        public Criteria andAqclqkIsNotNull() {
            addCriterion("AQCLQK is not null");
            return (Criteria) this;
        }

        public Criteria andAqclqkEqualTo(String value) {
            addCriterion("AQCLQK =", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkNotEqualTo(String value) {
            addCriterion("AQCLQK <>", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkGreaterThan(String value) {
            addCriterion("AQCLQK >", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkGreaterThanOrEqualTo(String value) {
            addCriterion("AQCLQK >=", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkLessThan(String value) {
            addCriterion("AQCLQK <", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkLessThanOrEqualTo(String value) {
            addCriterion("AQCLQK <=", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkLike(String value) {
            addCriterion("AQCLQK like", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkNotLike(String value) {
            addCriterion("AQCLQK not like", value, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkIn(List<String> values) {
            addCriterion("AQCLQK in", values, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkNotIn(List<String> values) {
            addCriterion("AQCLQK not in", values, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkBetween(String value1, String value2) {
            addCriterion("AQCLQK between", value1, value2, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqclqkNotBetween(String value1, String value2) {
            addCriterion("AQCLQK not between", value1, value2, "aqclqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkIsNull() {
            addCriterion("AQSCQK is null");
            return (Criteria) this;
        }

        public Criteria andAqscqkIsNotNull() {
            addCriterion("AQSCQK is not null");
            return (Criteria) this;
        }

        public Criteria andAqscqkEqualTo(String value) {
            addCriterion("AQSCQK =", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkNotEqualTo(String value) {
            addCriterion("AQSCQK <>", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkGreaterThan(String value) {
            addCriterion("AQSCQK >", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkGreaterThanOrEqualTo(String value) {
            addCriterion("AQSCQK >=", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkLessThan(String value) {
            addCriterion("AQSCQK <", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkLessThanOrEqualTo(String value) {
            addCriterion("AQSCQK <=", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkLike(String value) {
            addCriterion("AQSCQK like", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkNotLike(String value) {
            addCriterion("AQSCQK not like", value, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkIn(List<String> values) {
            addCriterion("AQSCQK in", values, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkNotIn(List<String> values) {
            addCriterion("AQSCQK not in", values, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkBetween(String value1, String value2) {
            addCriterion("AQSCQK between", value1, value2, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andAqscqkNotBetween(String value1, String value2) {
            addCriterion("AQSCQK not between", value1, value2, "aqscqk");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfIsNull() {
            addCriterion("KXBLZYZF is null");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfIsNotNull() {
            addCriterion("KXBLZYZF is not null");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfEqualTo(String value) {
            addCriterion("KXBLZYZF =", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfNotEqualTo(String value) {
            addCriterion("KXBLZYZF <>", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfGreaterThan(String value) {
            addCriterion("KXBLZYZF >", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfGreaterThanOrEqualTo(String value) {
            addCriterion("KXBLZYZF >=", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfLessThan(String value) {
            addCriterion("KXBLZYZF <", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfLessThanOrEqualTo(String value) {
            addCriterion("KXBLZYZF <=", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfLike(String value) {
            addCriterion("KXBLZYZF like", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfNotLike(String value) {
            addCriterion("KXBLZYZF not like", value, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfIn(List<String> values) {
            addCriterion("KXBLZYZF in", values, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfNotIn(List<String> values) {
            addCriterion("KXBLZYZF not in", values, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfBetween(String value1, String value2) {
            addCriterion("KXBLZYZF between", value1, value2, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andKxblzyzfNotBetween(String value1, String value2) {
            addCriterion("KXBLZYZF not between", value1, value2, "kxblzyzf");
            return (Criteria) this;
        }

        public Criteria andQnxzyylIsNull() {
            addCriterion("QNXZYYL is null");
            return (Criteria) this;
        }

        public Criteria andQnxzyylIsNotNull() {
            addCriterion("QNXZYYL is not null");
            return (Criteria) this;
        }

        public Criteria andQnxzyylEqualTo(String value) {
            addCriterion("QNXZYYL =", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylNotEqualTo(String value) {
            addCriterion("QNXZYYL <>", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylGreaterThan(String value) {
            addCriterion("QNXZYYL >", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylGreaterThanOrEqualTo(String value) {
            addCriterion("QNXZYYL >=", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylLessThan(String value) {
            addCriterion("QNXZYYL <", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylLessThanOrEqualTo(String value) {
            addCriterion("QNXZYYL <=", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylLike(String value) {
            addCriterion("QNXZYYL like", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylNotLike(String value) {
            addCriterion("QNXZYYL not like", value, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylIn(List<String> values) {
            addCriterion("QNXZYYL in", values, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylNotIn(List<String> values) {
            addCriterion("QNXZYYL not in", values, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylBetween(String value1, String value2) {
            addCriterion("QNXZYYL between", value1, value2, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andQnxzyylNotBetween(String value1, String value2) {
            addCriterion("QNXZYYL not between", value1, value2, "qnxzyyl");
            return (Criteria) this;
        }

        public Criteria andSfbaIsNull() {
            addCriterion("SFBA is null");
            return (Criteria) this;
        }

        public Criteria andSfbaIsNotNull() {
            addCriterion("SFBA is not null");
            return (Criteria) this;
        }

        public Criteria andSfbaEqualTo(String value) {
            addCriterion("SFBA =", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaNotEqualTo(String value) {
            addCriterion("SFBA <>", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaGreaterThan(String value) {
            addCriterion("SFBA >", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaGreaterThanOrEqualTo(String value) {
            addCriterion("SFBA >=", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaLessThan(String value) {
            addCriterion("SFBA <", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaLessThanOrEqualTo(String value) {
            addCriterion("SFBA <=", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaLike(String value) {
            addCriterion("SFBA like", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaNotLike(String value) {
            addCriterion("SFBA not like", value, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaIn(List<String> values) {
            addCriterion("SFBA in", values, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaNotIn(List<String> values) {
            addCriterion("SFBA not in", values, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaBetween(String value1, String value2) {
            addCriterion("SFBA between", value1, value2, "sfba");
            return (Criteria) this;
        }

        public Criteria andSfbaNotBetween(String value1, String value2) {
            addCriterion("SFBA not between", value1, value2, "sfba");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbIsNull() {
            addCriterion("KRKMSSSB is null");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbIsNotNull() {
            addCriterion("KRKMSSSB is not null");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbEqualTo(String value) {
            addCriterion("KRKMSSSB =", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbNotEqualTo(String value) {
            addCriterion("KRKMSSSB <>", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbGreaterThan(String value) {
            addCriterion("KRKMSSSB >", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbGreaterThanOrEqualTo(String value) {
            addCriterion("KRKMSSSB >=", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbLessThan(String value) {
            addCriterion("KRKMSSSB <", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbLessThanOrEqualTo(String value) {
            addCriterion("KRKMSSSB <=", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbLike(String value) {
            addCriterion("KRKMSSSB like", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbNotLike(String value) {
            addCriterion("KRKMSSSB not like", value, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbIn(List<String> values) {
            addCriterion("KRKMSSSB in", values, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbNotIn(List<String> values) {
            addCriterion("KRKMSSSB not in", values, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbBetween(String value1, String value2) {
            addCriterion("KRKMSSSB between", value1, value2, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andKrkmsssbNotBetween(String value1, String value2) {
            addCriterion("KRKMSSSB not between", value1, value2, "krkmsssb");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyIsNull() {
            addCriterion("JCQKJJY is null");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyIsNotNull() {
            addCriterion("JCQKJJY is not null");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyEqualTo(String value) {
            addCriterion("JCQKJJY =", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyNotEqualTo(String value) {
            addCriterion("JCQKJJY <>", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyGreaterThan(String value) {
            addCriterion("JCQKJJY >", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyGreaterThanOrEqualTo(String value) {
            addCriterion("JCQKJJY >=", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyLessThan(String value) {
            addCriterion("JCQKJJY <", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyLessThanOrEqualTo(String value) {
            addCriterion("JCQKJJY <=", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyLike(String value) {
            addCriterion("JCQKJJY like", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyNotLike(String value) {
            addCriterion("JCQKJJY not like", value, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyIn(List<String> values) {
            addCriterion("JCQKJJY in", values, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyNotIn(List<String> values) {
            addCriterion("JCQKJJY not in", values, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyBetween(String value1, String value2) {
            addCriterion("JCQKJJY between", value1, value2, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andJcqkjjyNotBetween(String value1, String value2) {
            addCriterion("JCQKJJY not between", value1, value2, "jcqkjjy");
            return (Criteria) this;
        }

        public Criteria andBdTjrIsNull() {
            addCriterion("BD_TJR is null");
            return (Criteria) this;
        }

        public Criteria andBdTjrIsNotNull() {
            addCriterion("BD_TJR is not null");
            return (Criteria) this;
        }

        public Criteria andBdTjrEqualTo(String value) {
            addCriterion("BD_TJR =", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrNotEqualTo(String value) {
            addCriterion("BD_TJR <>", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrGreaterThan(String value) {
            addCriterion("BD_TJR >", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrGreaterThanOrEqualTo(String value) {
            addCriterion("BD_TJR >=", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrLessThan(String value) {
            addCriterion("BD_TJR <", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrLessThanOrEqualTo(String value) {
            addCriterion("BD_TJR <=", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrLike(String value) {
            addCriterion("BD_TJR like", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrNotLike(String value) {
            addCriterion("BD_TJR not like", value, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrIn(List<String> values) {
            addCriterion("BD_TJR in", values, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrNotIn(List<String> values) {
            addCriterion("BD_TJR not in", values, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrBetween(String value1, String value2) {
            addCriterion("BD_TJR between", value1, value2, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrNotBetween(String value1, String value2) {
            addCriterion("BD_TJR not between", value1, value2, "bdTjr");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhIsNull() {
            addCriterion("BD_TJRBH is null");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhIsNotNull() {
            addCriterion("BD_TJRBH is not null");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhEqualTo(String value) {
            addCriterion("BD_TJRBH =", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhNotEqualTo(String value) {
            addCriterion("BD_TJRBH <>", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhGreaterThan(String value) {
            addCriterion("BD_TJRBH >", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhGreaterThanOrEqualTo(String value) {
            addCriterion("BD_TJRBH >=", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhLessThan(String value) {
            addCriterion("BD_TJRBH <", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhLessThanOrEqualTo(String value) {
            addCriterion("BD_TJRBH <=", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhLike(String value) {
            addCriterion("BD_TJRBH like", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhNotLike(String value) {
            addCriterion("BD_TJRBH not like", value, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhIn(List<String> values) {
            addCriterion("BD_TJRBH in", values, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhNotIn(List<String> values) {
            addCriterion("BD_TJRBH not in", values, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhBetween(String value1, String value2) {
            addCriterion("BD_TJRBH between", value1, value2, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjrbhNotBetween(String value1, String value2) {
            addCriterion("BD_TJRBH not between", value1, value2, "bdTjrbh");
            return (Criteria) this;
        }

        public Criteria andBdTjsjIsNull() {
            addCriterion("BD_TJSJ is null");
            return (Criteria) this;
        }

        public Criteria andBdTjsjIsNotNull() {
            addCriterion("BD_TJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andBdTjsjEqualTo(String value) {
            addCriterion("BD_TJSJ =", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjNotEqualTo(String value) {
            addCriterion("BD_TJSJ <>", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjGreaterThan(String value) {
            addCriterion("BD_TJSJ >", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjGreaterThanOrEqualTo(String value) {
            addCriterion("BD_TJSJ >=", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjLessThan(String value) {
            addCriterion("BD_TJSJ <", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjLessThanOrEqualTo(String value) {
            addCriterion("BD_TJSJ <=", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjLike(String value) {
            addCriterion("BD_TJSJ like", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjNotLike(String value) {
            addCriterion("BD_TJSJ not like", value, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjIn(List<String> values) {
            addCriterion("BD_TJSJ in", values, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjNotIn(List<String> values) {
            addCriterion("BD_TJSJ not in", values, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjBetween(String value1, String value2) {
            addCriterion("BD_TJSJ between", value1, value2, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdTjsjNotBetween(String value1, String value2) {
            addCriterion("BD_TJSJ not between", value1, value2, "bdTjsj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjIsNull() {
            addCriterion("BD_QYKSSJ is null");
            return (Criteria) this;
        }

        public Criteria andBdQykssjIsNotNull() {
            addCriterion("BD_QYKSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andBdQykssjEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYKSSJ =", value, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjNotEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYKSSJ <>", value, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjGreaterThan(Date value) {
            addCriterionForJDBCDate("BD_QYKSSJ >", value, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYKSSJ >=", value, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjLessThan(Date value) {
            addCriterionForJDBCDate("BD_QYKSSJ <", value, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYKSSJ <=", value, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjIn(List<Date> values) {
            addCriterionForJDBCDate("BD_QYKSSJ in", values, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjNotIn(List<Date> values) {
            addCriterionForJDBCDate("BD_QYKSSJ not in", values, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("BD_QYKSSJ between", value1, value2, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQykssjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("BD_QYKSSJ not between", value1, value2, "bdQykssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjIsNull() {
            addCriterion("BD_QYJSSJ is null");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjIsNotNull() {
            addCriterion("BD_QYJSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYJSSJ =", value, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjNotEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYJSSJ <>", value, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjGreaterThan(Date value) {
            addCriterionForJDBCDate("BD_QYJSSJ >", value, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYJSSJ >=", value, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjLessThan(Date value) {
            addCriterionForJDBCDate("BD_QYJSSJ <", value, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("BD_QYJSSJ <=", value, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjIn(List<Date> values) {
            addCriterionForJDBCDate("BD_QYJSSJ in", values, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjNotIn(List<Date> values) {
            addCriterionForJDBCDate("BD_QYJSSJ not in", values, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("BD_QYJSSJ between", value1, value2, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdQyjssjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("BD_QYJSSJ not between", value1, value2, "bdQyjssj");
            return (Criteria) this;
        }

        public Criteria andBdLuIsNull() {
            addCriterion("BD_LU is null");
            return (Criteria) this;
        }

        public Criteria andBdLuIsNotNull() {
            addCriterion("BD_LU is not null");
            return (Criteria) this;
        }

        public Criteria andBdLuEqualTo(String value) {
            addCriterion("BD_LU =", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuNotEqualTo(String value) {
            addCriterion("BD_LU <>", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuGreaterThan(String value) {
            addCriterion("BD_LU >", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuGreaterThanOrEqualTo(String value) {
            addCriterion("BD_LU >=", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuLessThan(String value) {
            addCriterion("BD_LU <", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuLessThanOrEqualTo(String value) {
            addCriterion("BD_LU <=", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuLike(String value) {
            addCriterion("BD_LU like", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuNotLike(String value) {
            addCriterion("BD_LU not like", value, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuIn(List<String> values) {
            addCriterion("BD_LU in", values, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuNotIn(List<String> values) {
            addCriterion("BD_LU not in", values, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuBetween(String value1, String value2) {
            addCriterion("BD_LU between", value1, value2, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdLuNotBetween(String value1, String value2) {
            addCriterion("BD_LU not between", value1, value2, "bdLu");
            return (Criteria) this;
        }

        public Criteria andBdZtIsNull() {
            addCriterion("BD_ZT is null");
            return (Criteria) this;
        }

        public Criteria andBdZtIsNotNull() {
            addCriterion("BD_ZT is not null");
            return (Criteria) this;
        }

        public Criteria andBdZtEqualTo(Integer value) {
            addCriterion("BD_ZT =", value, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtNotEqualTo(Integer value) {
            addCriterion("BD_ZT <>", value, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtGreaterThan(Integer value) {
            addCriterion("BD_ZT >", value, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtGreaterThanOrEqualTo(Integer value) {
            addCriterion("BD_ZT >=", value, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtLessThan(Integer value) {
            addCriterion("BD_ZT <", value, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtLessThanOrEqualTo(Integer value) {
            addCriterion("BD_ZT <=", value, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtIn(List<Integer> values) {
            addCriterion("BD_ZT in", values, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtNotIn(List<Integer> values) {
            addCriterion("BD_ZT not in", values, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtBetween(Integer value1, Integer value2) {
            addCriterion("BD_ZT between", value1, value2, "bdZt");
            return (Criteria) this;
        }

        public Criteria andBdZtNotBetween(Integer value1, Integer value2) {
            addCriterion("BD_ZT not between", value1, value2, "bdZt");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNull() {
            addCriterion("CREATEOR is null");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNotNull() {
            addCriterion("CREATEOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorEqualTo(String value) {
            addCriterion("CREATEOR =", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotEqualTo(String value) {
            addCriterion("CREATEOR <>", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThan(String value) {
            addCriterion("CREATEOR >", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR >=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThan(String value) {
            addCriterion("CREATEOR <", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR <=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLike(String value) {
            addCriterion("CREATEOR like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotLike(String value) {
            addCriterion("CREATEOR not like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorIn(List<String> values) {
            addCriterion("CREATEOR in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotIn(List<String> values) {
            addCriterion("CREATEOR not in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorBetween(String value1, String value2) {
            addCriterion("CREATEOR between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotBetween(String value1, String value2) {
            addCriterion("CREATEOR not between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNull() {
            addCriterion("CREATEOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNotNull() {
            addCriterion("CREATEOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeEqualTo(String value) {
            addCriterion("CREATEOR_CODE =", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotEqualTo(String value) {
            addCriterion("CREATEOR_CODE <>", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThan(String value) {
            addCriterion("CREATEOR_CODE >", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE >=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThan(String value) {
            addCriterion("CREATEOR_CODE <", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATEOR_CODE <=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLike(String value) {
            addCriterion("CREATEOR_CODE like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotLike(String value) {
            addCriterion("CREATEOR_CODE not like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIn(List<String> values) {
            addCriterion("CREATEOR_CODE in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotIn(List<String> values) {
            addCriterion("CREATEOR_CODE not in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATEOR_CODE not between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNull() {
            addCriterion("REFRESH_DATE is null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNotNull() {
            addCriterion("REFRESH_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateEqualTo(Date value) {
            addCriterion("REFRESH_DATE =", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotEqualTo(Date value) {
            addCriterion("REFRESH_DATE <>", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThan(Date value) {
            addCriterion("REFRESH_DATE >", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE >=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThan(Date value) {
            addCriterion("REFRESH_DATE <", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_DATE <=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIn(List<Date> values) {
            addCriterion("REFRESH_DATE in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotIn(List<Date> values) {
            addCriterion("REFRESH_DATE not in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_DATE not between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}