package com.unis.inspectionresult.server.service;

import java.util.List;

import com.unis.inspectionresult.common.vo.InspectionIndicatorsVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsqueryVO;




public interface InspectionIndicatorsService {

	/**
	 * 新增检查指标
	 * @return
	 */
	int insertInspectionIndicators(InspectionIndicatorsVO jczbVO);
	
	/**
	 * 编辑检查指标
	 * @param jhId
	 * @return
	 */
	int updateInspectionIndicators(InspectionIndicatorsVO jcVO);
	
	/**
	 * 查看检查指标
	 * @param jhId
	 * @return
	 */
	InspectionIndicatorsVO getJczb(String zbId);
	
	/**
	 * 获得检查指标列表
	 * @return
	 */
	List<InspectionIndicatorsVO> getJczbList(InspectionIndicatorsqueryVO queryVO,Integer pageSize,Integer pageNum);
	
	
	
	

	
	

}
