package com.unis.inspectionresult.server.service;


import com.unis.inspectionresult.common.vo.RectificationNoticeVO;

/**
 * @author WangZL
 * @version 1.0
 * @Title: RectificationNoticeService
 * @ProjectName RectificationNoticeService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface RectificationNoticeService {

	/**
	 * 新增责令整改通知单信息
	 * @param rectificationNoticeVO
	 * @return
	 */
	RectificationNoticeVO insert(RectificationNoticeVO rectificationNoticeVO);


	/**
	 * 更新责令整改通知单信息
	 * @param rectificationNoticeVO
	 * @return
	 */
	int update(RectificationNoticeVO rectificationNoticeVO);


	/**
 	* 根据结果ID获取责令整改通知单信息
 	* @param jgId
 	* @return 责令整改通知单信息
 	*/
	RectificationNoticeVO getRectificationNoticeInfoByJgId(String jgId);

}
