package com.unis.inspectionresult.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.inspectionresult.common.vo.*;
import com.unis.inspectionresult.server.entity.TrcjczbDO;

import java.util.List;
import java.util.Map;

/**
 * @Classname TrcjczbService
 * @Description 日常检查主表服务层
 * @Date 2023/11/20 14:14
 * @Created by rising123sun
 */
public interface TrcjczbService {
    List<TrcjczbVO> queryPageList(Integer pageSize, Integer pageNum, TrcjczbVO trcjczbVO);

    /**
     * 新增日常检查
     *
     * @param trcjczbVO
     */
    void add(TrcjczbVO trcjczbVO);

    ResponseWrapper update(TrcjczbVO trcjczbVO);

    void delete(String id);

    Map<String, List<Dcfxx>> selectCfxxByEntity(DCfxxsjyVO dCfxxsjyVO);

    List<Qyjsjctjb> qyjsjcQueryPageList(Integer pageSize, Integer pageNum, TrcjczbVO trcjczbVO);
    List<Qyjsjctjb> qyjsjcQueryPageListForBbdc(TrcjczbVO trcjczbVO);

    List<TrcjczbDO> queryJcsjByBjdwmcAndYearAndCfbm(TrcjczbVO trcjczbVO);

    List<Jcdwtjb> jcdwjcQueryPageList(Integer pageSize, Integer pageNum, TrcjczbVO trcjczbVO);

    List<Jcdwtjb> jcdwjcQueryPageListForBbdc(TrcjczbVO trcjczbVO);

    TrcjczbVO queryDetail(String id);
}
