package com.unis.inspectionresult.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.inspectionresult.common.vo.CheckCensusQueryVO;
import com.unis.inspectionresult.common.vo.CheckCensusVO;
import com.unis.inspectionresult.common.vo.CheckSecurityVO;
import com.unis.inspectionresult.server.domain.CheckCensusDomain;
import com.unis.inspectionresult.server.service.CheckCensusService;

@Service
public class CheckCensusServiceImpl implements CheckCensusService {

	@Autowired
	private CheckCensusDomain checkCensusDomain;

	@Override
	public List<CheckCensusVO> checkcensus(CheckCensusQueryVO checkCensusQueryVO) {
		return checkCensusDomain.checkcensus(checkCensusQueryVO);
	}

	@Override
	public List<String> checkcensusrwid(CheckCensusQueryVO checkCensusQueryVO) {
        return checkCensusDomain.checkcensusrwid(checkCensusQueryVO);
	}

	@Override
	public List<CheckSecurityVO> checksecurity(CheckCensusQueryVO checkCensusQueryVO) {
		return checkCensusDomain.checksecurity(checkCensusQueryVO);
	}

}
