package com.unis.inspectionresult.server.service.impl;

import com.unis.inspectionresult.common.vo.RectificationNoticeVO;
import com.unis.inspectionresult.server.domain.RectificationNoticeDomain;
import com.unis.inspectionresult.server.service.RectificationNoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author WangZL
 * @version 1.0
 * @Title RectificationNoticeServiceImpl
 * @ProjectName RectificationNoticeServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class RectificationNoticeServiceImpl implements RectificationNoticeService {

	@Autowired
	private RectificationNoticeDomain rectificationNoticeDomain;

	/**
	 * 添加
	 */
	@Override
	public RectificationNoticeVO insert(RectificationNoticeVO rectificationNoticeVO) {
		return rectificationNoticeDomain.insert(rectificationNoticeVO);
	}


	/**
 	* 更新信息
 	*/
	@Override
	public int update(RectificationNoticeVO rectificationNoticeVO) {
		return rectificationNoticeDomain.update(rectificationNoticeVO);
	}


	/**
 	* 根据编号获取信息
 	*/
	@Override
	public RectificationNoticeVO getRectificationNoticeInfoByJgId(String jgId) {
		return rectificationNoticeDomain.getRectificationNoticeInfoByJgId(jgId);
	}


}
