package com.unis.inspectionresult.common.constant;

/**
 *
 * @Description：业务检查常量
 * @author：王帅
 * @date: 2020年1月14日 下午6:41:56
 */
public class InspectionConstant {

	/**
	 * 当前登录用户所属机构编码和组织机构级别
	 */
	public static final String GRAIN_RESERVE_CORPORATION_ORGANIZATION_CODE = "LS001019"; // 储备粮公司组织机构编码

	public static final String AREA_FOOD_DO_ORGANIZATIONAL = "10180007"; // 区粮办组织级别

	public static final String CITY_BUREAU_ORGANIZATIONAL = "10180005"; // 市局组织级别

	//l粮食储备处部门编码
	public static final String LiangShiChuBeiChu = "DP355";

	//监督检查处
	public static final String JianDuJianChaChu = "DP353";

	/**
	 * 制定任务状态
	 */
	public static final int PLAN_IN_PROGRESS_STATUS = 2; // 执行中的计划完成状态

	/** 检查结果完成状态*/
	public static final String INSPECTION_RESULTS_COMPLETED_STATUS = "12"; //

	/** 计划和任务完成状态*/
	public static final int PLAN_AND_TASK_FINISHED_STATUS = 3; //

	/** 检查结果待检查状态*/
public static final String INSPECTION_RESULTS_TOCHECK_STATUS = "0";  //

	/** 检查结果待提交状态*/
	public static final String INSPECTION_RESULTS_TOCOMMIT_STATUS = "2";  //

	/** 检查结果组长审批状态*/
	public static final String INSPECTION_RESULTS_APPROVAL_STATUS = "18";  //

	/** 检查结果审批通过（待企业上传）状态*/
	public static final String INSPECTION_RESULTS_APPROVAL_SUCCESS_STATUS = "20";  //
	/** 计划超期状态*/
	public static final int PLAN_OVERDUE_STATUS = 4; // 计划超期状态

	/**计划超期完成状态*/
	public static final int PLAN_OVERDUE_COMPLETE_STATUS = 5; //
}
