package com.unis.inspectionresult.common.vo;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@Getter
@Setter
@ApiModel("改期申请对象")
public class CheckResultRescheduVO {
	
	/**
	 * 文件id        
	 */
	@ApiModelProperty("id")
    private String id;

	/**
	 * 文件类型    0、附件、1文件
	 */
	
	@ApiModelProperty("是否改期0、是。1、否")
    private String sfgq;
	
	@ApiModelProperty("结果id")
    private String jgId;

	/**
	 * 申请原因
	 */
	@ApiModelProperty("改期原因")
    private String sqyy;

	/**
	 * id
	 */
	@ApiModelProperty("申请人")
    private String tjr;

	/**
	 * id
	 */
	@ApiModelProperty("申请时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tjsj;

	/**
	 * id
	 */
	@ApiModelProperty("审核结果 0，通过。1，驳回")
    private String shjg;

	/**
	 * id
	 */
	@ApiModelProperty("审核意见")
    private String shyj;

	/**
	 * id
	 */
	@ApiModelProperty("审批人")
    private String spr;
	
	/**
	 * id
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间", notes ="", required = false)
    private Date spsj;
}