package com.unis.inspectionresult.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("检查安全结果统计")
public class CheckSecurityVO {

	/**
	 * 所属单位名称
	 */
	@ApiModelProperty("检查类别名称")
    private String jczxMc;

	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("检查企业个数")
    private Integer jcqygs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("检查人数")
    private Integer jcrc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("开展检查次数")
    private Integer kzjccs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("已完成")
    private Integer rcywc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("未完成")
    private Integer rcwwc;
	


	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("现场整改")
    private Integer xczg;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("限期整改")
    private Integer xqzg;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("无需整改")
    private Integer wxzg;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("现场检查")
    private Integer xcjc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("远程检查")
    private Integer ycjc;
}