package com.unis.inspectionresult.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author WangZL
 * @version 1.0
 * @Title FileVO
 * @ProjectName 文件实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("文件业务对象")
public class FileVO extends BaseVO {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    private String id;

    @ApiModelProperty(value = "数据id(针对表中数据主键)", notes ="数据id(针对表中数据主键)", required = false)
    private String sjId;

    @ApiModelProperty(value = "文件ID", notes ="文件ID", required = false)
    private String fileId;

    @ApiModelProperty(value = "文件类型0、附件。1、文件", notes ="文件类型0、附件。1、文件", required = false)
    private Integer fileType;

    public FileVO(String id, String sjId, String fileId, Integer fileType) {
        super();
        this.id = id;
        this.sjId = sjId;
        this.fileId = fileId;
        this.fileType = fileType;
    }

    public FileVO() {
    }
}
