package com.unis.inspectionresult.common.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@SuppressWarnings("serial")
@Getter
@Setter
public class InspectionIndicatorsqueryVO {

	/**
	 * 指标名称/指标项内容
	 */
	@ApiModelProperty("指标名称")
    private String zbName;
	
	
	/**
	 * 任务类型名称/任务类型
	 */
	@ApiModelProperty("任务类型名称")
    private String rwlxmc;
	
	/**
	 * 所属单位名称/指标范围
	 */
	@ApiModelProperty("所属单位名称")
    private String dwMc;
	
	/**
	 * start提交时间
	 */
	@ApiModelProperty("start提交时间")
	@DateTimeFormat(pattern="yyyy/MM/dd")
    private Date szbTjsj;
	
	/**
	 * end提交时间
	 */
	@ApiModelProperty("end提交时间")
	@DateTimeFormat(pattern="yyyy/MM/dd")
    private String ezbTjsj;
	
	/**
	 * 指标状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("指标状态（0、禁用。1、启用）")
    private Integer zbZt;
	

}
