package com.unis.inspectionresult.common.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Classname Qyjsjctjb
 * @Description 企业接受检查统计表
 * @Date 2023/11/24 10:39
 * @Created by rising123sun
 */
@Data
@ApiModel(value = "Qyjsjctjb(企业接受检查统计表)")
public class Qyjsjctjb {

    // 被检单位
    @ExcelProperty(value = "被检单位")
    @ColumnWidth(35)
    @ApiModelProperty(value = "被检单位")
    private String bjdwmc;

    // 被检单位编码
    @ExcelIgnore
    @ApiModelProperty(value = "被检单位编码")
    private String bjdwbm;

    // 检查年份
    @ExcelIgnore
    @ApiModelProperty(value = "检查年份")
    private String jcnf;

    // 检查类型-安全生产
    @ExcelProperty({"检查类型", "安全生产"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-安全生产")
    private Integer aqsc;

    // 检查类型-储粮安全
    @ExcelProperty({"检查类型", "储粮安全"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-储粮安全")
    private Integer claq;

    // 检查类型-质量安全
    @ExcelProperty({"检查类型", "质量安全"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-质量安全")
    private Integer zlaq;

    // 检查类型-防雨防汛
    @ExcelProperty({"检查类型", "防雨防汛"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "检查类型-防雨防汛")
    private Integer fyfx;

    // 仓房统计-被检仓房数
    @ExcelProperty({"仓房统计", "被检仓房数"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "仓房统计-被检仓房数")
    private Integer bjcf;

    // 被检仓房编码
    @ExcelIgnore
    @ApiModelProperty(value = "被检仓房编码")
    private String bjcfbm;

    // 仓房统计-未被检仓房数
    @ExcelProperty({"仓房统计", "未被检仓房数"})
    @ColumnWidth(17)
    @ApiModelProperty(value = "仓房统计-未被检仓房数")
    private Integer wbjcf;

    // 被检次数
    @ExcelProperty(value = "被检次数")
    @ColumnWidth(17)
    @ApiModelProperty(value = "被检次数")
    private Integer bjcs;

    // 需整改数
    @ExcelProperty(value = "需整改数")
    @ColumnWidth(17)
    @ApiModelProperty(value = "需整改数")
    private Integer xzgs;

    // 已完成整改数
    @ExcelProperty(value = "已完成整改数")
    @ApiModelProperty(value = "已完成整改数")
    private Integer ywcxzs;

    // 未完成整改数
    @ExcelProperty(value = "未完成整改数")
    @ColumnWidth(17)
    @ApiModelProperty(value = "未完成整改数")
    private Integer wwcxzs;

}
