package com.unis.inspectionresult.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;


/**
 * @author WangZL
 * @version 1.0
 * @Title rectificationDetailsVO
 * @ProjectName 整改详情业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("整改详情业务对象")
public class RectificationDetailsVO extends BaseVO {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Column(name="ID",length=9)
    private Integer id;

    @ApiModelProperty(value = "责令整改通知单id(结果id+TZ+001)", notes ="责令整改通知单id(结果id+TZ+001)", required = false)
    @Column(name="TZD_ID",length=18)
    private String tzdId;

    @ApiModelProperty(value = "整改详情", notes ="整改详情", required = false)
    @Column(name="ZGXQ",length=128)
    private String zgxq;

    public RectificationDetailsVO(Integer id, String tzdId, String zgxq) {
        super();
        this.id = id;
        this.tzdId = tzdId;
        this.zgxq = zgxq;
    }

    public RectificationDetailsVO() {

    }
}
