package com.unis.inspectionresult.common.vo;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.inspectionresult.common.vo.resultback.DailyCheckResultVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@Getter
@Setter
@ApiModel("综合查询审批对象")
public class ResultApplyVO extends DailyCheckResultVO {
	
	/**
	 * 文件id        
	 */
	@ApiModelProperty("id")
    private String id;

	/**
	 * 文件类型    0、附件、1文件
	 */
	@ApiModelProperty("结果id")
    private String jgId;

	/**
	 * 申请原因
	 */
	@ApiModelProperty("申请原因")
    private String sqyy;

	/**
	 * id
	 */
	@ApiModelProperty("提交人")
    private String tjr;

	/**
	 * id
	 */
	@ApiModelProperty("提交时间")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date tjsj;

	/**
	 * id
	 */
	@ApiModelProperty("审核结果 0，可查看，1。可申请。2.待审核。3.已驳回。4.可查看")
    private String shjg;

	/**
	 * id
	 */
	@ApiModelProperty("审核意见")
    private String shyj;

	/**
	 * id
	 */
	@ApiModelProperty("审批人")
    private String spr;
	
	
	@ApiModelProperty("申请类型，0、综合查询。1、区级任务申请")
    private String sqlx;
	
	/**
	 * id
	 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间", notes ="", required = false)
    private Date spsj;
}