package com.unis.inspectionresult.common.vo.resultback;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：结果反馈-日常检查结果-流程调整
 * @author：王帅
 * @date: 2019年12月4日
 */
@Data
@ApiModel(value = "DailyCheckProcessAdjustmentAuditVO(流程调整审核对象)")
public class DailyCheckProcessAdjustmentAuditVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键id")
	private String lcId; // 主键id

	@ApiModelProperty(value = "检查结果主键")
	private String jgId; // 检查结果主键

	@ApiModelProperty(value = "审批意见")
	private Integer spjg; // 审批意见

	@ApiModelProperty(value = "驳回原因")
	private String bhyy;// 驳回原因

	@ApiModelProperty(value = "审批人")
	private String spr;// 审批人

	@ApiModelProperty(value = "审批时间")
	private Date spsj; // 审批时间
	
	@ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收待盖章12已完成13超期完成14待回显信息15待被检企业提交16验收被检企业盖章20待企业上传21调整审批31待送达)", notes ="填报状态0待检查")
    private String jgTbbh;

    @ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收待盖章12已完成13超期完成14待回显15待被检企业提交16验收被检企业盖章20待企业上传21调整审批31待送达", notes ="填报状态0待检查")
    private String jgTbmc;
}
