package com.unis.inspectionresult.common.vo.resultback;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @Description：日常检查结果对象通过计划编码查看
 * @author：王帅
 * @date: 2020年1月10日 下午5:03:33
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DailyCheckResultByPlanShowVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "结果主键")
	private String jgId;

	@ApiModelProperty(value = "任务编号#(计划id+001)", notes = "任务编号")
	private String rwId;

	@ApiModelProperty(value = "计划编号", notes = "计划编号")
	private String jhid;

	@ApiModelProperty(value = "填报状态0待检查#1检查单位待盖章2待提交3待整改4待审批5审批通过6延期拒绝7被检企业待盖章8已超期9验收驳回10待验收11验收检查单位盖章12已完成13超期完成14待回显信息15待被检企业提交16验收被检企业盖章17区粮办办结18组长审批20待企业上传21调整审批31待送达", notes = "填报状态0待检查")
	private String jgTbbh;
	
	@ApiModelProperty(value = "提交时间")
	private Date jgTjsj;
}
