package com.unis.inspectionresult.common.vo.resultback;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author by PIG
 * 2022/5/5 15
 */
@ApiModel(value = "机动点 父表T_BDJLZB ",description="A")
@Data
@Table(name="t_bdjl_maneuver")
public class DailyCheckResultManeuverVo implements Serializable {

    @Id
    @ApiModelProperty(value = "主键", notes = "主键")
    @Column(name = "fid")
    private String fid;

    @ApiModelProperty(value = "表单记录主表id", notes ="表单记录主表id")
    @Column(name="BDZBID", length=30)
    private String bdzbid;

    @Column(name = "temperature")
    @ApiModelProperty(value = "温度 10", notes = "温度")
    private Double temperature;

    @Column(name="location")
    @ApiModelProperty(value = "部位", notes ="部位")
    private String location;

    public DailyCheckResultManeuverVo() {
    }

    public DailyCheckResultManeuverVo(String bdzbid) {
        this.bdzbid = bdzbid;
    }
}
