package com.unis.inspectionresult.common.vo.resultback;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.unis.inspectionresult.common.vo.FileVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：日常检查结果-区粮办办结处理
 * @author：王帅
 * @date: 2019年12月16日 下午5:44:37
 */
@Data
@ApiModel(value = "DailyCheckTransferredToDealWithVO()")
public class DailyCheckTransferredToDealWithVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String bjId;// 主键id

	@ApiModelProperty(value = "是否办结（0：否，1：是）")
	private Integer sfbj; // 是否办结（0：否，1：是）

	@ApiModelProperty(value = "办结意见")
	private String bjyj;// 办结意见

	@ApiModelProperty(value = "处理人")
	private String clr;// 处理人

	@ApiModelProperty(value = "处理时间")
	private Date clsj;// 处理时间

	@ApiModelProperty(value = "文件列表")
	private List<FileVO> fileList;
}
