package com.unis.inspectionresult.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionresult.common.vo.FormfieldsqueryVO;
import com.unis.inspectionresult.common.vo.InspectionIndicatorsqueryVO;
import com.unis.inspectionresult.server.entity.TBdxxDO;
import com.unis.inspectionresult.server.entity.TJczbDO;
import com.unis.inspectionresult.server.example.TBdxxExample;
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TBdxxMapper {
    int countByExample(TBdxxExample example);

    int deleteByExample(TBdxxExample example);

    int deleteByPrimaryKey(String bdId);

    int insert(TBdxxDO record);

    int insertSelective(TBdxxDO record);

    List<TBdxxDO> selectByExample(TBdxxExample example);

    TBdxxDO selectByPrimaryKey(String bdId);

    int updateByExampleSelective(@Param("record") TBdxxDO record, @Param("example") TBdxxExample example);

    int updateByExample(@Param("record") TBdxxDO record, @Param("example") TBdxxExample example);

    int updateByPrimaryKeySelective(TBdxxDO record);

    int updateByPrimaryKey(TBdxxDO record);
	
	//查询
	List<TBdxxDO> getList(FormfieldsqueryVO queryvo);
    
    
    
}