package com.unis.inspectionresult.server.dao;

import java.util.List;

import com.unis.inspectionresult.server.entity.TJcnrDO;

public interface TJcnrDao {
    int deleteByPrimaryKey(Long id);

    int insert(TJcnrDO record);

    int insertSelective(TJcnrDO record);

    TJcnrDO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TJcnrDO record);

    int updateByPrimaryKey(TJcnrDO record);

	/**
	 * @param string  根据任务编号查询列表
	 */
    List<TJcnrDO> selectByQuery(String rwId);

	/**
	 *  根据任务编号和检查内容ID
	 * @param tJcnrDO
	 * @return
	 */
	TJcnrDO selectByInfo(TJcnrDO tJcnrDO);

	/**
	 * @param tJcnrDO
	 */
	void update(TJcnrDO tJcnrDO);

	/**
	 * @param rwId
	 */
	void deleteByRwKey(String rwId);
}