package com.unis.inspectionresult.server.dao;


import com.unis.inspectionresult.common.vo.DCfxxsjyVO;
import com.unis.inspectionresult.common.vo.Jcdwtjb;
import com.unis.inspectionresult.common.vo.Qyjsjctjb;
import com.unis.inspectionresult.common.vo.TrcjczbVO;
import com.unis.inspectionresult.server.entity.TrcjczbDO;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * @Classname TrcjczbMapper
 * @Description 日常检查主表持久层
 * @Date 2023/11/20 14:17
 * @Created by rising123sun
 */
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TrcjczbMapper extends Mapper<TrcjczbDO> {


    List<TrcjczbVO> queryPageList(TrcjczbVO trcjczbVO);

    List<DCfxxsjyVO> selectCfxxByEntity(DCfxxsjyVO dCfxxsjyVO);

    List<Qyjsjctjb> qyjsjcQueryPageList(TrcjczbVO trcjczbVO);

    List<Jcdwtjb> jcdwjcQueryPageList(TrcjczbVO trcjczbVO);

    String selectOrgCodeByTyshxydm(String tyshxydm);
}
