package com.unis.inspectionresult.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @author WangZL
 * @version 1.0
 * @Title TZlzgtzdXqDO
 * @ProjectName 整改详情信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_ZLZGTZD_XQ")
public class RectificationDetailsDO extends BaseEntity {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Id
    @Column(name = "id")
    private Integer id;

    @ApiModelProperty(value = "责令整改通知单id(结果id+TZ+001)", notes ="责令整改通知单id(结果id+TZ+001)", required = false)
    @Column(name = "tzdId")
    private String tzdId;

    @ApiModelProperty(value = "整改详情", notes ="整改详情", required = false)
    @Column(name = "zgxq")
    private String zgxq;

}
