package com.unis.inspectionresult.server.entity.resultback;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.inspectionresult.server.entity.BaseEntity;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @Description：结果反馈-日常检查结果-流程调整
 * @author：王帅
 * @date: 2019年12月4日 
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "T_JCJGLCTZ")
public class DailyCheckProcessAdjustmentDO extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "lc_id")
	private String lcId; // 主键id

	@Column(name = "jg_id")
	private String jgId; // 检查结果主键

	private String tzyy; // 调整原因

	private String tjr;// 调整人

	private Date tjsj;// 调整时间

	private Integer spjg; // 审批意见

	private String bhyy;// 驳回原因

	private String spr;// 审批人

	private Date spsj; // 审批时间
	
	private String lclx; //流程类型
}
