package com.unis.inspectionresult.server.entity.resultback;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.unis.inspectionresult.server.entity.BaseEntity;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @Description：日常检查结果-属地监管
 * @author：王帅
 * @date: 2020年1月17日
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "t_jcjgjgqy")
public class DailyCheckTerritorialSupervisionDO extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@Id
	private String id;// 主键

	@Column(name = "jg_id")
	private String jgId;// 日常检查结果主键

	@Column(name = "rw_id")
	private String rwId; // 任务主键
	
	@Column(name = "jgqy_id")
	private String jgqyId; // 监管区域主键
}
