package com.unis.inspectionresult.server.service;


import com.unis.inspectionresult.common.vo.RectificationAcceptanceVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: RectificationAcceptanceService
 * @ProjectName RectificationAcceptanceService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface RectificationAcceptanceService {

	/**
	 * 新增整改验收单信息
	 * @param rectificationAcceptanceVO
	 * @return
	 */
	RectificationAcceptanceVO insert(RectificationAcceptanceVO rectificationAcceptanceVO);


	/**
	 * 更新整改验收单信息
	 * @param rectificationAcceptanceVO
	 * @return
	 */
	int update(RectificationAcceptanceVO rectificationAcceptanceVO);

	/**
	 * 根据结果ID获取整改验收单列表
	 * @param jgId
	 * @return
	 */
	List<RectificationAcceptanceVO> getRectificationAcceptanceListInfoByJgId(String jgId);

	/**
 	* 根据结果ID获取整改验收单信息
 	* @param ysdId
 	* @return 整改验收单信息
 	*/
	RectificationAcceptanceVO getRectificationAcceptanceInfoByYsdId(String ysdId);

}
